<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'Sites';
$route['login'] = 'Auth/login';
$route['logout'] = "Auth/logout";
$route['Warriorlistener'] = "Auth/Warriorlistener";


$route['googletrend'] = "Sites/googleTrend";
$route['fecthPosts'] = "Sites/fecthPosts";
$route['setting'] = "Sites/setting";
$route['download'] = "Sites/theme";
$route['webhose'] = "Sites/webhose";
$route['settinfWordpress'] = "Sites/settinfWordpress";
$route['getxmlrpcdetils'] = "Sites/getxmlrpcdetils";
$route['getcat'] = "Sites/getcat";
$route['postWordpress'] = "Sites/postWordpress";
$route['fetchWordpressCredential'] = "Sites/fetchWordpressCredential";
$route['updateWordpressCredetial'] = "Sites/updateWordpressCredetial";
$route['amazonsetting'] = "Sites/amazonsetting";
$route['ebaysetting'] = "Sites/ebaysetting";
$route['walmartsetting'] = "Sites/walmartsetting";
$route['shopsetting'] = "Sites/shopsetting";
$route['alisetting'] = "Sites/alisetting";

$route['fecthProduct'] = "Sites/fecthProduct";
$route['get_prod_cat'] = "Sites/get_prod_cat";
$route['productpost'] = "Sites/productpost";
$route['managePost'] = "Sites/managePost";
$route['managePost/(:num)'] = "Sites/managePost/$1";

$route['fetchBlogpostByURL'] = "Sites/fetchBlogpostByURL";
$route['addToallFeature'] = "Sites/addToallFeature";
$route['removeToallFeature'] = "Sites/removeToallFeature";
$route['addTocategory'] = "Sites/addTocategory";
$route['removeTocategory'] = "Sites/removeTocategory";
$route['deleteSelectedPost'] = "Sites/deleteSelectedPost";

$route['setCron'] = "Sites/setCron";
$route['automation'] = "Sites/automation";
$route['updateStatus'] = "Sites/updateStatus";
$route['updateCron'] = "Sites/updateCron";

$route['deleteAuto'] = "Sites/deleteAuto";
$route['bonuses'] = "Sites/bonuses";
$route['pbonuses/(:any)'] = "Sites/pbonuses/$1";
$route['exclusive'] = "Sites/exclusive";


$route['fetchkeywordproduct'] = "Sites/fetchBlogProduct";

$route['instantPostOnFacebook'] = "Sites/instantPostOnFacebook";
$route['schedulePostOnFacebook'] = "Sites/schedulePostOnFacebook";

$route['404_override'] = '';
$route['tutorials'] = 'Sites/tutorials';
$route['knowledgebase'] = 'Sites/knowledgebase';
$route['translate_uri_dashes'] = FALSE;
