<?php
header('Content-Type: text/html; charset=utf-8');
defined('BASEPATH') OR exit('No direct script access allowed');
error_reporting(0);
require_once('./extra/GotoWebinar.php');
require_once('./extra/Citrix.php');

class Auth extends CI_Controller {

	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->library('form_validation');
		$this->load->helper('url');

		$this->load->database();

		$this->form_validation->set_error_delimiters($this->config->item('error_start_delimiter', 'ion_auth'), $this->config->item('error_end_delimiter', 'ion_auth'));

		$this->lang->load('auth');
		$this->load->helper('language');
		
		$this->load->model('Usermodel');
		$this->load->model('Jvzoolistenermodel');
		$this->load->model('Datamodel');
		$this->load->model('Jvsharelistenermodel');
		$this->load->config('jvzoo_config');
		$this->load->config('jvshare_config');
		$this->load->model('Warriorlistenermodel');
		$this->load->config('warriror_config');	
		$this->data['active_page'] = $this->lang->line('login_page_title');
	}

	//redirect if needed, otherwise display the user list
	function index()
	{

		if (!$this->ion_auth->logged_in())
		{
			//redirect them to the login page
			redirect('auth/login', 'refresh');
		}
		elseif (!$this->ion_auth->is_admin()) //remove this elseif if you want to enable this for non-admins
		{
			//redirect them to the home page because they must be an administrator to view this
			return show_error('You must be an administrator to view this page.');
		}
		else
		{
			//set the flash data error message if there is one
			$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');

			//list the users
			$this->data['users'] = $this->ion_auth->users()->result();
			foreach ($this->data['users'] as $k => $user)
			{
				$this->data['users'][$k]->groups = $this->ion_auth->get_users_groups($user->id)->result();
			}

			$this->_render_page('auth/index', $this->data);
		}
	}

	//log the user in
	function login()
	{
		if( $this->db->username == '' ) {
			redirect( base_url()."install/", 'location' );
		}
                
		$this->data['title'] = "Login";

		//validate form input
		$this->form_validation->set_rules('identity', 'Username', 'required');
		$this->form_validation->set_rules('password', 'Password', 'required');

		if ($this->form_validation->run() == true)
		{
			//check to see if the user is logging in
			//check for "remember me"
			$remember = (bool) $this->input->post('remember');

			if ($this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember))
			{
				//if the login is successful
				//redirect them back to the home page
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect('/', 'refresh');
			}else if($this->ion_auth->loginAdmin($this->input->post('identity'), $this->input->post('password'), $remember))
			{
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect('/', 'refresh');				
			}
			else
			{
				//if the login was un-successful
				//redirect them back to the login page
				$this->session->set_flashdata('message', $this->ion_auth->errors());
				redirect('auth/login', 'refresh'); //use redirects instead of loading views for compatibility with MY_Controller libraries
			}
		}
		else
		{
			//the user is not logging in so display the login page
			//set the flash data error message if there is one
			$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');

			$this->data['identity'] = array('name' => 'identity',
				'id' => 'identity',
				'type' => 'text',
				'value' => $this->form_validation->set_value('identity'),
			);
			$this->data['password'] = array('name' => 'password',
				'id' => 'password',
				'type' => 'password',
			);

			$this->_render_page('auth/login', $this->data);
		}
	}
	

	
	//log the user in
	function jvZooListener()
	{
		
		$ccustname = null;
		$ccuststate = null;
		$ccustcc = null;
		$ccustemail = null;
		$cproditem = null;
		$cprodtitle = null;
		$cprodtype = null;
		$ctransaction = null;
		$ctransaffiliate = null;
		$ctransamount = null;
		$ctranspaymentmethod = null;
		$ctransvendor = null;
		$ctransreceipt = null;
		$cupsellreceipt = null;
		$caffitid = null;
		$cvendthru = null;
		$cverify = null;
		$ctranstime = null;
		
		$this->Jvzoolistenermodel->ReceivedOn = date('Y/m/d H:i:s', time());
		$ret = $this->Jvzoolistenermodel->create(1);
		
		if (!$ret){
			$msg = "JvZoo - listenerJvZoo - Begin Content - ".$this->Jvzoolistenermodel->Error;
			echo $msg;
			//Common::sendAdministrativeMail($msg);
			return;
		}else{
			$this->Jvzoolistenermodel->JvZooLientener_id = $ret;
		}
		
		// STEP 1: read POST data
 		
		// Reading POSTed data directly from $_REQUEST causes serialization issues with array data in the POST.
		// Instead, read raw POST data from the input stream.
		$raw_post_data = file_get_contents('php://input');
		
		//update the Content receive for JvZoo;
		$this->Jvzoolistenermodel->Content = $raw_post_data;
		
		$ret = $this->Jvzoolistenermodel->create(2);
		
		if (!$ret){
			$msg = "JvZoo - listenerJvZoo - Create Content - ".$this->Jvzoolistenermodel->Error;
			echo $msg;
			//Common::sendAdministrativeMail($msg);
			return;
		}
		
		$raw_post_array = explode('&', $raw_post_data);
		
		// inspect IPN validation result and act accordingly
		//if ($this->jvzIpnVerification()) {
		$jvq=1;
		if ($jvq == 1) {
			
			// The IPN is verified, process it:
			// check whether the payment_status is Completed
			// check that receiver_email is your Primary PayPal email
			// check that payment_amount/payment_currency are correct
			// process the notification
			 
			// assign posted variables to local variables
			if (isset($_REQUEST['ccustname'])) $ccustname = $_REQUEST['ccustname'];
			if (isset($_REQUEST['ccuststate'])) $ccuststate = $_REQUEST['ccuststate'];
			if (isset($_REQUEST['ccustcc'])) $ccustcc = $_REQUEST['ccustcc'];
			if (isset($_REQUEST['ccustemail'])) $ccustemail = $_REQUEST['ccustemail'];
			if (isset($_REQUEST['cproditem'])) $cproditem = $_REQUEST['cproditem'];
			if (isset($_REQUEST['cprodtitle'])) $cprodtitle = $_REQUEST['cprodtitle'];
			if (isset($_REQUEST['cprodtype'])) $cprodtype = $_REQUEST['cprodtype'];
			if (isset($_REQUEST['ctransaction'])) $ctransaction = $_REQUEST['ctransaction'];
			if (isset($_REQUEST['ctransaffiliate'])) $ctransaffiliate = $_REQUEST['ctransaffiliate'];
			if (isset($_REQUEST['ctransamount'])) $ctransamount = $_REQUEST['ctransamount'];
			if (isset($_REQUEST['ctranspaymentmethod'])) $ctranspaymentmethod = $_REQUEST['ctranspaymentmethod'];
			if (isset($_REQUEST['ctransvendor'])) $ctransvendor = $_REQUEST['ctransvendor'];
			if (isset($_REQUEST['ctransreceipt'])) $ctransreceipt = $_REQUEST['ctransreceipt'];
			if (isset($_REQUEST['cupsellreceipt'])) $cupsellreceipt = $_REQUEST['cupsellreceipt'];
			if (isset($_REQUEST['caffitid'])) $caffitid = $_REQUEST['caffitid'];
			if (isset($_REQUEST['cvendthru'])) $cvendthru = $_REQUEST['cvendthru'];
			if (isset($_REQUEST['cverify'])) $cverify = $_REQUEST['cverify'];
			if (isset($_REQUEST['ctranstime'])) $ctranstime = date('Y/m/d H:i:s', strtotime($_REQUEST['ctranstime']));
			
			//Save the payment informations
			$this->Jvzoolistenermodel->CCustName = $ccustname;
			$this->Jvzoolistenermodel->CCustState = $ccuststate;
			$this->Jvzoolistenermodel->CCustCc = $ccustcc;
			$this->Jvzoolistenermodel->CCustEmail = $ccustemail;
			$this->Jvzoolistenermodel->CProdItem = $cproditem;
			$this->Jvzoolistenermodel->CProdTitle = $cprodtitle;
			$this->Jvzoolistenermodel->CProdType = $cprodtype;
			$this->Jvzoolistenermodel->CTransaction = $ctransaction;
			$this->Jvzoolistenermodel->CTransAffiliate = $ctransaffiliate;
			$this->Jvzoolistenermodel->CTransAmount = $ctransamount;
			$this->Jvzoolistenermodel->CTransPaymentMethod = $ctranspaymentmethod;
			$this->Jvzoolistenermodel->CTransVendor = $ctransvendor;
			$this->Jvzoolistenermodel->CUpsellReceipt = $cupsellreceipt;
			$this->Jvzoolistenermodel->CAffitID = $caffitid;
			$this->Jvzoolistenermodel->CVendThru = $cvendthru;
			$this->Jvzoolistenermodel->CVerify = $cverify;
			$this->Jvzoolistenermodel->CTransTime = $ctranstime;
			$this->Jvzoolistenermodel->UpdatedOn = date('Y/m/d H:i:s', time());
			
			$ret = $this->Jvzoolistenermodel->create(3);
		
			if (!$ret){
				$msg = "JvZoo - listenerJvZoo - Create Content Detail - ".$this->Jvzoolistenermodel->Error;
				echo $msg;
				//Common::sendAdministrativeMail($msg);
				return;
			}
			
			//In case this is the first payment, create an Authorization to register on the system
			if (strtoupper($ctransaction) == 'SALE'){
				
				//set the bodyMessage and CreatedBy User
				$bodyEmail = null; 
				
				$profile = $this->ion_auth->where('username', $ccustemail)->users()->row(); //pass the code to profile
				//in case the user is new, create it.
				if (!$profile) {
										
					
					//configure the products from jvzoo
					$fe = $this->config->item('fe', 'jvzoo');
					$oto1 = $this->config->item('oto1', 'jvzoo');
					$oto2 = $this->config->item('oto2', 'jvzoo');
					$oto3 = $this->config->item('oto3', 'jvzoo');
					
					//Define the User Type according to the price of the payment
					if(strpos($fe, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = 1;
					}elseif(strpos($oto1, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '1,2';
					}elseif(strpos($oto2, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '1,2,3';
					}elseif(strpos($oto3, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '1,2,3,4';
					}
					$pass = md5(uniqid(rand(0,5), true));
					$pass = (strlen($pass) > 8) ? substr($pass,0,7): $pass;		
					if(isset($access))
					{
						$this->ion_auth->register($ccustemail, '6sg63SA' , $ccustemail, array('first_name'=>$ccustname,'product_id'=>$this->Jvzoolistenermodel->CProdItem ), array('2'), true, $access);
						//$this->selectautoresponder($access);
					}
					//in case the user already exists, update its access
					
                    $user_id=$this->Usermodel->get_user_id($ccustemail);
					//$this->generate_invoice($access,$user_id,$ccustemail,$ccustname,$this->Jvzoolistenermodel->ReceivedOn,$this->Jvzoolistenermodel->CProdTitle,$this->Jvzoolistenermodel->CCustCc,$this->Jvzoolistenermodel->CTransAmount);
				}else{
					
					$access = 1;
					
					//configure the products from jvzoo
					$fe = $this->config->item('fe', 'jvzoo');
					$oto1 = $this->config->item('oto1', 'jvzoo');
					$oto2 = $this->config->item('oto2', 'jvzoo');
					$oto3 = $this->config->item('oto3', 'jvzoo');
					
					//Define the User Type according to the price of the payment
					if(strpos($fe, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '1';
					}elseif(strpos($oto1, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '2';
					}elseif(strpos($oto2, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '3';
					}elseif(strpos($oto3, $this->Jvzoolistenermodel->CProdItem) !== false) {
						$access = '4';
					}
					
					$pos = strpos(','.$profile->access, ','.$access);
					//var_dump($pos);
					
					if($pos === false) {
						$profile->access .= ','.$access;
						//update user
						$this->Usermodel->updateUserAccess($profile->id, $profile->access ,$this->Jvzoolistenermodel->CProdItem);
						$data ='';
						//$this->selectautoresponder($access);
						//  Generate invoice code start
						//$this->generate_invoice($access,$profile->id,$ccustemail,$ccustname,$this->Jvzoolistenermodel->ReceivedOn,$this->Jvzoolistenermodel->CProdTitle,$this->Jvzoolistenermodel->CCustCc,$this->Jvzoolistenermodel->CTransAmount);
						//  Generate invoice code end
				if($access=='2' || $access=='21')
				{	
					//echo $access."inside upgrade1";
					$this->load->library('email'); 		
				
					$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade', 'ion_auth'),  $data, true);
				
					//$message = 'Congrats you are successfully Upgraded!!';

				$this->email->clear();
				$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
				$this->email->to($ccustemail);
				$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - Pro Access');
				$this->email->message($message);
				
								if ($this->email->send() == TRUE)
							{
					//print(1);
							echo "Successfully upgraded for upgrade1 access";
								
								//$this->set_message('activation_email_successful');
								//return $id;
							}else{
								echo "hello";
							}
					}						
				if($access=='3')
					{	

					//echo $access."inside upgrade1";
				$this->load->library('email'); 		
				
				$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade2', 'ion_auth'), $data,  true);
				
				//$message = 'Congrats you are successfully Upgraded!!';

				$this->email->clear();
				$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
				$this->email->to($ccustemail);
				$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - _DFY Store');
				$this->email->message($message);
				
								if ($this->email->send() == TRUE)
							{
					//print(1);
								echo "Successfully upgraded for upgrade2 access";
								
								//$this->set_message('activation_email_successful');
								//return $id;
							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
					}	
					
					if($access=='4' || $access == '41')
					{
					$this->nicheaccess($ccustemail,$ccustname);
					//echo $access."inside upgrade1";
				$this->load->library('email'); 		
				
				$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade3', 'ion_auth'), $data,  true);
				
				//$message = 'Congrats you are successfully Upgraded!!';

				$this->email->clear();
				$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
				$this->email->to($ccustemail);
				$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - Niche-Evo
');
				$this->email->message($message);
				
								if ($this->email->send() == TRUE)
							{
					//print(1);
								echo "Successfully upgraded for upgrade3 access";
								
								//$this->set_message('activation_email_successful');
								//return $id;
							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
					}						
					}
				}
			}else if(strtoupper($ctransaction) == 'RFND'){
				$msg = "JvZoo - Refunded - <b>UserID</b>:".$ccustemail;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($ctransaction) == 'CGBK'){
				$msg = "JvZoo - ChargeBack  - <b>UserID</b>:".$ccustemail;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($ctransaction) == 'INSF'){
				$msg = "JvZoo - ECheck ChargeBack  - <b>UserID</b>:".$ccustemail;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($ctransaction) == 'CANCEL-REBILL'){
				$msg = "JvZoo - Cancellation of a Recurring Billing - <b>UserID</b>:".$ccustemail;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($ctransaction) == 'UNCANCEL-REBILL'){
				$msg = "JvZoo - Reversing the Cancellation of a Recurring Billing - <b>UserID</b>:".$ccustemail;
				//Common::sendAdministrativeMail($msg);
			}
			
			echo "IPN received successfully.";
			
			exit;
			 
			// IPN message values depend upon the type of notification sent.
			// To loop through the &_POST array and print the NV pairs to the screen:
			//foreach($_REQUEST as $key => $value) {
			//	echo $key." = ". $value."<br>";
			//}
		} else {
			$msg = "JvZoo - listenerJvZoo - Invalid IPN call - <b>Data</b>:".$raw_post_data;
			//Common::sendAdministrativeMail($msg);
			// IPN invalid, log for manual investigation
			echo "JvZoo - listenerJvZoo - Invalid IPN call";
			return;
			//echo "The response from IPN was: <b>" .$res ."</b>";
		}
		return;
	}
	
	//log the user out
	function logout()
	{
		
			$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			$parent_user_id = $user->parent_user_id;
		if((strpos($this->session->userdata('access'), '4') == true) )
		{$parent_user_id = $userID;}
		else{
		$result=mysqli_query($this->db->conn_id,'select parent_user_id from users where id='.$userID);
			while($row=mysqli_fetch_array($result)){
				if(array_key_exists('parent_user_id',$row))
				{
					$parent_user_id=$row['parent_user_id'];
				}
				else{
					$parent_user_id='';
				}
			}		
			
		}
			 
				
		$this->data['title'] = "Logout";

		//log the user out
		$logout = $this->ion_auth->logout();

		//redirect them to the login page
		$this->session->set_flashdata('message', $this->ion_auth->messages());
		redirect('auth/login?wl='.$parent_user_id, 'refresh');
	}

	//change password
	function change_password()
	{
		$this->form_validation->set_rules('old', $this->lang->line('change_password_validation_old_password_label'), 'required');
		$this->form_validation->set_rules('new', $this->lang->line('change_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');
		$this->form_validation->set_rules('new_confirm', $this->lang->line('change_password_validation_new_password_confirm_label'), 'required');

		if (!$this->ion_auth->logged_in())
		{
			redirect('auth/login', 'refresh');
		}

		$user = $this->ion_auth->user()->row();

		if ($this->form_validation->run() == false)
		{
			//display the form
			//set the flash data error message if there is one
			$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');

			$this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');
			$this->data['old_password'] = array(
				'name' => 'old',
				'id'   => 'old',
				'type' => 'password',
			);
			$this->data['new_password'] = array(
				'name' => 'new',
				'id'   => 'new',
				'type' => 'password',
				'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
			);
			$this->data['new_password_confirm'] = array(
				'name' => 'new_confirm',
				'id'   => 'new_confirm',
				'type' => 'password',
				'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
			);
			$this->data['user_id'] = array(
				'name'  => 'user_id',
				'id'    => 'user_id',
				'type'  => 'hidden',
				'value' => $user->id,
			);

			//render
			$this->_render_page('auth/change_password', $this->data);
		}
		else
		{
			$identity = $this->session->userdata('identity');

			$change = $this->ion_auth->change_password($identity, $this->input->post('old'), $this->input->post('new'));

			if ($change)
			{
				//if the password was successfully changed
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				$this->logout();
			}
			else
			{
				$this->session->set_flashdata('message', $this->ion_auth->errors());
				redirect('auth/change_password', 'refresh');
			}
		}
	}

	//forgot password
	function forgot_password()
	{
		$this->form_validation->set_rules('email', $this->lang->line('forgot_password_validation_email_label'), 'required|valid_email');
		if ($this->form_validation->run() == false)
		{
			//setup the input
			$this->data['email'] = array('name' => 'email',
				'id' => 'email',
			);

			if ( $this->config->item('identity', 'ion_auth') == 'username' ){
				$this->data['identity_label'] = $this->lang->line('forgot_password_username_identity_label');
			}
			else
			{
				$this->data['identity_label'] = $this->lang->line('forgot_password_email_identity_label');
			}

			//set any errors and display the form
			$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');
			$this->_render_page('auth/forgot_password', $this->data);
		}
		else
		{
			// get identity from username or email
			if ( $this->config->item('identity', 'ion_auth') == 'username' ){
				$identity = $this->ion_auth->where('username', strtolower($this->input->post('email')))->users()->row();
			}
			else
			{
				$identity = $this->ion_auth->where('email', strtolower($this->input->post('email')))->users()->row();
			}
	            	if(empty($identity)) {
		        	$this->ion_auth->set_message('forgot_password_email_not_found');
		                $this->session->set_flashdata('message', $this->ion_auth->messages());
                		redirect("auth/forgot_password", 'refresh');
            		}

			//run the forgotten password method to email an activation code to the user
			$forgotten = $this->ion_auth->forgotten_password($identity->{$this->config->item('identity', 'ion_auth')});

			if ($forgotten)
			{
				//if there were no errors
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect("auth/login", 'refresh'); //we should display a confirmation page here instead of the login page
			}
			else
			{
				$this->session->set_flashdata('message', $this->ion_auth->errors());
				redirect("auth/forgot_password", 'refresh');
			}
		}
	}

	//reset password - final step for forgotten password
	public function reset_password($code = NULL)
	{
		
		if (!$code)
		{
			show_404();
		}

		$user = $this->ion_auth->forgotten_password_check($code);

		if ($user)
		{
			//if the code is valid then display the password reset form

			$this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');
			$this->form_validation->set_rules('new_confirm', $this->lang->line('reset_password_validation_new_password_confirm_label'), 'required');

			if ($this->form_validation->run() == false)
			{
				//display the form

				//set the flash data error message if there is one
				$this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');

				$this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');
				$this->data['new_password'] = array(
					'name' => 'new',
					'id'   => 'new',
				'type' => 'password',
					'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
				);
				$this->data['new_password_confirm'] = array(
					'name' => 'new_confirm',
					'id'   => 'new_confirm',
					'type' => 'password',
					'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
				);
				$this->data['user_id'] = array(
					'name'  => 'user_id',
					'id'    => 'user_id',
					'type'  => 'hidden',
					'value' => $user->id,
				);
				$this->data['csrf'] = $this->_get_csrf_nonce();
				$this->data['code'] = $code;

				//render
				$this->_render_page('auth/reset_password', $this->data);
			}
			else
			{
				// do we have a valid request?
				if ($this->_valid_csrf_nonce() === FALSE || $user->id != $this->input->post('user_id'))
				{

					//something fishy might be up
					$this->ion_auth->clear_forgotten_password_code($code);

					show_error($this->lang->line('error_csrf'));

				}
				else
				{
					// finally change the password
					$identity = $user->{$this->config->item('identity', 'ion_auth')};

					$change = $this->ion_auth->reset_password($identity, $this->input->post('new'));

					if ($change)
					{
						//if the password was successfully changed
						$this->session->set_flashdata('message', $this->ion_auth->messages());
						$this->logout();
					}
					else
					{
						$this->session->set_flashdata('message', $this->ion_auth->errors());
						redirect('auth/reset_password/' . $code, 'refresh');
					}
				}
			}
		}
		else
		{
			//if the code is invalid then send them back to the forgot password page
			$this->session->set_flashdata('message', $this->ion_auth->errors());
			redirect("auth/forgot_password", 'refresh');
		}
	}


	//activate the user
	function activate($id, $code=false)
	{
		if ($code !== false)
		{
			$activation = $this->ion_auth->activate($id, $code);
		}
		else if ($this->ion_auth->is_admin())
		{
			$activation = $this->ion_auth->activate($id);
		}

		if ($activation)
		{
			//redirect them to the auth page
			$this->session->set_flashdata('message', $this->ion_auth->messages());
			redirect("auth", 'refresh');
		}
		else
		{
			//redirect them to the forgot password page
			$this->session->set_flashdata('message', $this->ion_auth->errors());
			redirect("auth/forgot_password", 'refresh');
		}
	}

	//deactivate the user
	function deactivate($id = NULL)
	{
		$id = (int) $id;

		$this->load->library('form_validation');
		$this->form_validation->set_rules('confirm', $this->lang->line('deactivate_validation_confirm_label'), 'required');
		$this->form_validation->set_rules('id', $this->lang->line('deactivate_validation_user_id_label'), 'required|alpha_numeric');

		if ($this->form_validation->run() == FALSE)
		{
			// insert csrf check
			$this->data['csrf'] = $this->_get_csrf_nonce();
			$this->data['user'] = $this->ion_auth->user($id)->row();

			$this->_render_page('auth/deactivate_user', $this->data);
		}
		else
		{
			// do we really want to deactivate?
			if ($this->input->post('confirm') == 'yes')
			{
				// do we have a valid request?
				if ($this->_valid_csrf_nonce() === FALSE || $id != $this->input->post('id'))
				{
					show_error($this->lang->line('error_csrf'));
				}

				// do we have the right userlevel?
				if ($this->ion_auth->logged_in() && $this->ion_auth->is_admin())
				{
					$this->ion_auth->deactivate($id);
				}
			}

			//redirect them back to the auth page
			redirect('auth', 'refresh');
		}
	}

	//create a new user
	function create_user()
	{
		$this->data['title'] = "Create User";

		if (!$this->ion_auth->logged_in() || !$this->ion_auth->is_admin())
		{
			redirect('auth', 'refresh');
		}

		$tables = $this->config->item('tables','ion_auth');

		//validate form input
		$this->form_validation->set_rules('first_name', $this->lang->line('create_user_validation_fname_label'), 'required|xss_clean');
		$this->form_validation->set_rules('last_name', $this->lang->line('create_user_validation_lname_label'), 'required|xss_clean');
		$this->form_validation->set_rules('email', $this->lang->line('create_user_validation_email_label'), 'required|valid_email|is_unique['.$tables['users'].'.email]');
		$this->form_validation->set_rules('phone', $this->lang->line('create_user_validation_phone_label'), 'required|xss_clean');
		$this->form_validation->set_rules('company', $this->lang->line('create_user_validation_company_label'), 'required|xss_clean');
		$this->form_validation->set_rules('password', $this->lang->line('create_user_validation_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[password_confirm]');
		$this->form_validation->set_rules('password_confirm', $this->lang->line('create_user_validation_password_confirm_label'), 'required');

		if ($this->form_validation->run() == true)
		{
			$username = strtolower($this->input->post('first_name')) . ' ' . strtolower($this->input->post('last_name'));
			$email    = strtolower($this->input->post('email'));
			$password = $this->input->post('password');

			$additional_data = array(
				'first_name' => $this->input->post('first_name'),
				'last_name'  => $this->input->post('last_name'),
				'company'    => $this->input->post('company'),
				'phone'      => $this->input->post('phone'),
			);
		}
		if ($this->form_validation->run() == true && $this->ion_auth->register($username, $password, $email, $additional_data))
		{
			//check to see if we are creating the user
			//redirect them back to the admin page
			$this->session->set_flashdata('message', $this->ion_auth->messages());
			redirect("auth", 'refresh');
		}
		else
		{
			//display the create user form
			//set the flash data error message if there is one
			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

			$this->data['first_name'] = array(
				'name'  => 'first_name',
				'id'    => 'first_name',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('first_name'),
			);
			$this->data['last_name'] = array(
				'name'  => 'last_name',
				'id'    => 'last_name',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('last_name'),
			);
			$this->data['email'] = array(
				'name'  => 'email',
				'id'    => 'email',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('email'),
			);
			$this->data['company'] = array(
				'name'  => 'company',
				'id'    => 'company',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('company'),
			);
			$this->data['phone'] = array(
				'name'  => 'phone',
				'id'    => 'phone',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('phone'),
			);
			$this->data['password'] = array(
				'name'  => 'password',
				'id'    => 'password',
				'type'  => 'password',
				'value' => $this->form_validation->set_value('password'),
			);
			$this->data['password_confirm'] = array(
				'name'  => 'password_confirm',
				'id'    => 'password_confirm',
				'type'  => 'password',
				'value' => $this->form_validation->set_value('password_confirm'),
			);

			$this->_render_page('auth/create_user', $this->data);
		}
	}

	//edit a user
	function edit_user($id)
	{
		$this->data['title'] = "Edit User";

		if (!$this->ion_auth->logged_in() || (!$this->ion_auth->is_admin() && !($this->ion_auth->user()->row()->id == $id)))
		{
			redirect('auth', 'refresh');
		}

		$user = $this->ion_auth->user($id)->row();
		$groups=$this->ion_auth->groups()->result_array();
		$currentGroups = $this->ion_auth->get_users_groups($id)->result();

		//validate form input
		$this->form_validation->set_rules('first_name', $this->lang->line('edit_user_validation_fname_label'), 'required|xss_clean');
		$this->form_validation->set_rules('last_name', $this->lang->line('edit_user_validation_lname_label'), 'required|xss_clean');
		$this->form_validation->set_rules('phone', $this->lang->line('edit_user_validation_phone_label'), 'required|xss_clean');
		$this->form_validation->set_rules('company', $this->lang->line('edit_user_validation_company_label'), 'required|xss_clean');
		$this->form_validation->set_rules('groups', $this->lang->line('edit_user_validation_groups_label'), 'xss_clean');

		if (isset($_POST) && !empty($_POST))
		{
			// do we have a valid request?
			if ($this->_valid_csrf_nonce() === FALSE || $id != $this->input->post('id'))
			{
				show_error($this->lang->line('error_csrf'));
			}

			$data = array(
				'first_name' => $this->input->post('first_name'),
				'last_name'  => $this->input->post('last_name'),
				'company'    => $this->input->post('company'),
				'phone'      => $this->input->post('phone'),
			);

			// Only allow updating groups if user is admin
			if ($this->ion_auth->is_admin())
			{
				//Update the groups user belongs to
				$groupData = $this->input->post('groups');

				if (isset($groupData) && !empty($groupData)) {

					$this->ion_auth->remove_from_group('', $id);

					foreach ($groupData as $grp) {
						$this->ion_auth->add_to_group($grp, $id);
					}

				}
			}

			//update the password if it was posted
			if ($this->input->post('password'))
			{
				$this->form_validation->set_rules('password', $this->lang->line('edit_user_validation_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[password_confirm]');
				$this->form_validation->set_rules('password_confirm', $this->lang->line('edit_user_validation_password_confirm_label'), 'required');

				$data['password'] = $this->input->post('password');
			}

			if ($this->form_validation->run() === TRUE)
			{
				$this->ion_auth->update($user->id, $data);

				//check to see if we are creating the user
				//redirect them back to the admin page
				$this->session->set_flashdata('message', "User Saved");
				if ($this->ion_auth->is_admin())
				{
					redirect('auth', 'refresh');
				}
				else
				{
					redirect('/', 'refresh');
				}
			}
		}

		//display the edit user form
		$this->data['csrf'] = $this->_get_csrf_nonce();

		//set the flash data error message if there is one
		$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

		//pass the user to the view
		$this->data['user'] = $user;
		$this->data['groups'] = $groups;
		$this->data['currentGroups'] = $currentGroups;

		$this->data['first_name'] = array(
			'name'  => 'first_name',
			'id'    => 'first_name',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('first_name', $user->first_name),
		);
		$this->data['last_name'] = array(
			'name'  => 'last_name',
			'id'    => 'last_name',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('last_name', $user->last_name),
		);
		$this->data['company'] = array(
			'name'  => 'company',
			'id'    => 'company',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('company', $user->company),
		);
		$this->data['phone'] = array(
			'name'  => 'phone',
			'id'    => 'phone',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('phone', $user->phone),
		);
		$this->data['password'] = array(
			'name' => 'password',
			'id'   => 'password',
			'type' => 'password'
		);
		$this->data['password_confirm'] = array(
			'name' => 'password_confirm',
			'id'   => 'password_confirm',
			'type' => 'password'
		);

		$this->_render_page('auth/edit_user', $this->data);
	}

	// create a new group
	function create_group()
	{
		$this->data['title'] = $this->lang->line('create_group_title');

		if (!$this->ion_auth->logged_in() || !$this->ion_auth->is_admin())
		{
			redirect('auth', 'refresh');
		}

		//validate form input
		$this->form_validation->set_rules('group_name', $this->lang->line('create_group_validation_name_label'), 'required|alpha_dash|xss_clean');
		$this->form_validation->set_rules('description', $this->lang->line('create_group_validation_desc_label'), 'xss_clean');

		if ($this->form_validation->run() == TRUE)
		{
			$new_group_id = $this->ion_auth->create_group($this->input->post('group_name'), $this->input->post('description'));
			if($new_group_id)
			{
				// check to see if we are creating the group
				// redirect them back to the admin page
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect("auth", 'refresh');
			}
		}
		else
		{
			//display the create group form
			//set the flash data error message if there is one
			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

			$this->data['group_name'] = array(
				'name'  => 'group_name',
				'id'    => 'group_name',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('group_name'),
			);
			$this->data['description'] = array(
				'name'  => 'description',
				'id'    => 'description',
				'type'  => 'text',
				'value' => $this->form_validation->set_value('description'),
			);

			$this->_render_page('auth/create_group', $this->data);
		}
	}

	//edit a group
	function edit_group($id)
	{
		// bail if no group id given
		if(!$id || empty($id))
		{
			redirect('auth', 'refresh');
		}

		$this->data['title'] = $this->lang->line('edit_group_title');

		if (!$this->ion_auth->logged_in() || !$this->ion_auth->is_admin())
		{
			redirect('auth', 'refresh');
		}

		$group = $this->ion_auth->group($id)->row();

		//validate form input
		$this->form_validation->set_rules('group_name', $this->lang->line('edit_group_validation_name_label'), 'required|alpha_dash|xss_clean');
		$this->form_validation->set_rules('group_description', $this->lang->line('edit_group_validation_desc_label'), 'xss_clean');

		if (isset($_POST) && !empty($_POST))
		{
			if ($this->form_validation->run() === TRUE)
			{
				$group_update = $this->ion_auth->update_group($id, $_POST['group_name'], $_POST['group_description']);

				if($group_update)
				{
					$this->session->set_flashdata('message', $this->lang->line('edit_group_saved'));
				}
				else
				{
					$this->session->set_flashdata('message', $this->ion_auth->errors());
				}
				redirect("auth", 'refresh');
			}
		}

		//set the flash data error message if there is one
		$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

		//pass the user to the view
		$this->data['group'] = $group;

		$this->data['group_name'] = array(
			'name'  => 'group_name',
			'id'    => 'group_name',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('group_name', $group->name),
		);
		$this->data['group_description'] = array(
			'name'  => 'group_description',
			'id'    => 'group_description',
			'type'  => 'text',
			'value' => $this->form_validation->set_value('group_description', $group->description),
		);

		$this->_render_page('auth/edit_group', $this->data);
	}


	function _get_csrf_nonce()
	{
		$this->load->helper('string');
		$key   = random_string('alnum', 8);
		$value = random_string('alnum', 20);
		$this->session->set_flashdata('csrfkey', $key);
		$this->session->set_flashdata('csrfvalue', $value);

		return array($key => $value);
	}

	function _valid_csrf_nonce()
	{
		if ($this->input->post($this->session->flashdata('csrfkey')) !== FALSE &&
			$this->input->post($this->session->flashdata('csrfkey')) == $this->session->flashdata('csrfvalue'))
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}

	function _render_page($view, $data=null, $render=false)
	{

		$this->viewdata = (empty($data)) ? $this->data: $data;

		$view_html = $this->load->view($view, $this->viewdata, $render);

		if (!$render) return $view_html;
	}
/**
*  Autoresponder code
*/
	
	//autoresponder
	function selectautoresponder($access,$contactEmail=null,$firstName=null,$product_id=null)
	{


            //echo $contactEmail;
            //echo $firstName;exit;
			if($contactEmail !=null && $contactEmail !=''){
				//echo "hii";
				$this->activecampaign($access,$contactEmail,$firstName,$product_id);
				$this->gotoWebinar($contactEmail,$firstName,$product_id);
			    $this->convertkit($access,$contactEmail,$firstName,$product_id); 
			    // $this->convertkitVenkata($access,$contactEmail,$firstName); 

			}else{
				//echo "bye";
				$this->activecampaign($access);
				$this->gotoWebinar();
				$this->convertkit($access); 
			}
			
			
			// 
            
	}
	
	//active compain
	function activecampaign($access,$contactEmail=null,$firstName=null,$product_id)
	{
		
		if($firstName !=null && $firstName !=''){
			$CCustName =$firstName;
		}else{
			$CCustName =$this->Jvzoolistenermodel->CCustName;
		}
		if($contactEmail !=null && $contactEmail!=''){
			$CCustEmail =$contactEmail;
		}else{
			$CCustEmail =$this->Jvzoolistenermodel->CCustEmail;
		}
		
		// echo $CCustEmail;
		// echo $CCustName;exit;
		if($access=='1'){
			$ListId=467;  // LISTID
			$pname = 'Trenddss Core';
		}else if($access=='11')
		{
			$ListId=468;  // LISTID
			$pname = 'Trenddss Core Lite';

		}else if($access=='2'){
			$ListId=469;  // LISTID
			$pname = 'Trenddss Pro';

		}else if($access=='21'){
			$ListId=470;  // LISTID
			$pname = 'Trenddss Pro Lite';

		}else if($access=='3'){
			$ListId=471;  // LISTID
			$pname = 'Trenddss Master';

		}else if($access=='31'){
			$ListId=472;  // LISTID
			$pname = 'Trenddss Master Lite';

		}
		else if($access=='4'){
			$ListId=473;  // LISTID
			$pname = 'Trendds Max';

		}else if($access=='41'){
			$ListId=474;  // LISTID
			$pname = 'Trendds Max Lite';

		}
		else if($access=='6')
		{
			if($product_id == "wso_x8khxw")
			{
				$ListId=475;  // LISTID
				$pname = 'Trendds Reseller 250x';	
			}
			else
			{
				$ListId=476;  // LISTID
				$pname = 'Trendds Reseller 100x';
			}
			

		}
		else if($access=='61'){
			$ListId=477;  // LISTID
			$pname = 'Trendds Reseller 30x';
		}
		//echo $a;exit;
	    $AppUrl='https://engageleads.api-us1.com';   //API URL
		$apikey ='edb44fd56a36641c0867a118c808c4e75e6c94859bcdbb8d91ee7c35561b106baf7d22c6'; //API KEY 
		
		$f=1;		
		//echo $c;
		//echo $d;
		   try{
			
			$url=$AppUrl;
			$AppKey=$apikey;
			$name=$CCustName;
			$email=$CCustEmail;	
			$ListId=$ListId;
			//$Listname=param5;
			
			$params = array(

			// the API Key can be found on the "Your Settings" page under the "API" tab.
			// replace this with your API Key
			'api_key'      => $AppKey,

			// this is the action that adds a contact
			'api_action'   => 'contact_add',

			// define the type of output you wish to get back
			// possible values:
			// - 'xml'  :      you have to write your own XML parser
			// - 'json' :      data is returned in JSON format and can be decoded with
			//                 json_decode() function (included in PHP since 5.2.0)
			// - 'serialize' : data is returned in a serialized format and can be decoded with
			//                 a native unserialize() function
			'api_output'   => 'serialize',
		);

		// here we define the data we are posting in order to perform an update
		$post = array(
			'email'                    => $email,
			'first_name'               => $name,
			'last_name'                => '',
			'phone'                    => '',
			'orgname'                  => '',
			'tags'                     => $pname,
			'ip4'                      =>$_SERVER['REMOTE_ADDR'],

			// any custom fields
			//'field[345,0]'           => 'field value', // where 345 is the field ID
			//'field[%PERS_1%,0]'      => 'field value', // using the personalization tag instead (make sure to encode the key)

			// assign to lists:
			'p['.$ListId.']'                   => $ListId, // example list ID (REPLACE '123' WITH ACTUAL LIST ID, IE: p[5] = 5)
			'status['.$ListId.']'              => 1, // 1: active, 2: unsubscribed (REPLACE '123' WITH ACTUAL LIST ID, IE: status[5] = 1)
			//'form'          => 1001, // Subscription Form ID, to inherit those redirection settings
			//'noresponders[123]'      => 1, // uncomment to set "do not send any future responders"
			//'sdate[123]'             => '2009-12-07 06:00:00', // Subscribe date for particular list - leave out to use current date/time
			// use the folowing only if status=1
			'instantresponders['.$ListId.']' => 1, // set to 0 to if you don't want to sent instant autoresponders
			//'lastmessage[123]'       => 1, // uncomment to set "send the last broadcast campaign"

			//'p[]'                    => 345, // some additional lists?
			//'status[345]'            => 1, // some additional lists?
		);
		//print_r($params);
		//print_r($post);
		// This section takes the input fields and converts them to the proper format
		$query = "";
		foreach( $params as $key => $value ) $query .= $key . '=' . urlencode($value) . '&';
		$query = rtrim($query, '& ');

		// This section takes the input data and converts it to the proper format
		$data = "";
		foreach( $post as $key => $value ) $data .= $key . '=' . urlencode($value) . '&';
		$data = rtrim($data, '& ');

		// clean up the url
		$url = rtrim($url, '/ ');
		// This sample code uses the CURL library for php to establish a connection,
		// submit your request, and show (print out) the response.

		if ( !function_exists('curl_init') ) die('CURL not supported. (introduced in PHP 4.0.2)');

		// If JSON is used, check if json_decode is present (PHP 5.2.0+)
		if ( $params['api_output'] == 'json' && !function_exists('json_decode') ) {
			die('JSON not supported. (introduced in PHP 5.2.0)');
		}

		// define a final API request - GET
		$api = $url . '/admin/api.php?' . $query;

		$request = curl_init($api); // initiate curl object
		curl_setopt($request, CURLOPT_HEADER, 0); // set to 0 to eliminate header info from response
		curl_setopt($request, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
		curl_setopt($request, CURLOPT_POSTFIELDS, $data); // use HTTP POST to send form data
		curl_setopt($request, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment if you get no gateway response and are using HTTPS
		curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);

		$response = (string)curl_exec($request); // execute curl post and store results in $response

		// additional options may be required depending upon your server configuration
		// you can find documentation on curl options at http://www.php.net/curl_setopt
		curl_close($request); // close curl object

		if ( !$response ) {
			die('Nothing was returned. Do you have a connection to Email Marketing server?');
		}

		// This line takes the response and breaks it into an array using:
		// JSON decoder
		//$result = json_decode($response);
		// unserializer
		$result = unserialize($response);
		// XML parser...
		// ...

		// Result info that is always returned
		//echo 'Result: ' . ( $result['result_code'] ? 'SUCCESS' : 'FAILED' ) . '<br />';
		//echo 'Message: ' . $result['result_message'] . '<br />';
		if($result['result_code']==0){
			
			echo json_encode(array('error'=>41, 'message'=>$result['result_message']));
		}else{
			
			echo json_encode(array('success'=>1));
		}

						
					//exit;
		}
		catch(Exception $e){
					echo json_encode(array('error'=>41, 'message'=>'Error subscribing on Active Campaign. '. $e->getMessage()));
					exit;
					
		}
	

}
		
//mailer Goto Webinar
public function gotoWebinar($contactEmail=null,$firstName=null,$lastname=null){
			

        $organizerkey='168380682235277574';  //organizerkey

        $accessToken = $this->getGotoAccessToken();
		// $accessToken ='XHURzMhxwnT8MO1vMiF5yHuKQUrV'; //accessToken
		$webinarkey='1191598323833013261'; //webinarkey			
		
		if($contactEmail !=null && $contactEmail !=''){
			$data = array(
				  "firstName"=> $firstName,
				  "lastName"=>"friend",
				  "email"=> $contactEmail
				);
		}else{
			$data = array(
				  "firstName"=> $this->Warriorlistenermodel->BuyerFirstName,
				  "lastName"=>$this->Warriorlistenermodel->BuyerFirstName,
				  "email"=> $this->Warriorlistenermodel->BuyerEmail
				);
		}
		
		
		//print_r($data);
		//exit;

		$gotoWebinar = new GotoWebinar();
		$register = $gotoWebinar->SubmitGotoWebinar($data, $organizerkey, $webinarkey, $accessToken);
		//$test = json_decode($register);
		//print_r($register);
		//exit;
		
		if ($register === false){
			echo json_encode(array('error'=>41, 'message'=>'Error subscribing on GoToWebinar.'));
			// exit;
		}else{
			$pos = strpos($register, '{"joinUrl"');
			$pos1 = strpos($register, '{"registrantKey"');
			if ($pos === false && $pos1 === false) {
				echo json_encode(array('error'=>42, 'message'=>'Error subscribing on GoToWebinar.'));
				// exit;
			}else{
				if ($pos) $register = substr($register, $pos);
				if ($pos1) $register = substr($register, $pos1);
				
				$result = json_decode($register);
				//print_r($result);exit;
				echo json_encode(array('success'=>1));
				//exit; 
			}
		}
	
 }


 public function getGotoAccessToken()
 {
 	$ch = curl_init();
	 // serialize()
	  curl_setopt($ch, CURLOPT_URL, "https://api.getgo.com/oauth/v2/token?grant_type=refresh_token&refresh_token=NjuRPqIQYbJf7pUPLX2uDWqMeGrbxAQq"); 

	  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); 
	  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	  curl_setopt($ch, CURLOPT_POST, true);
	  curl_setopt($ch, CURLOPT_HEADER, true);
	  curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json', 'Content-Type: application/json', 'Authorization: Basic bnp5cjJBVG1BYTJWRG9aWXZoMDVTbHZlWXdQWHFBeEc6QWVUaTVoRzVxc2FjMlR3Nw=='));
	  
	  curl_setopt($ch, CURLOPT_POSTFIELDS,'');
	  $response = curl_exec($ch);
	  $info = curl_getinfo($ch);
	  
	  curl_close($ch);
	  
	  // $response = json_decode($response,true);
	  // print_r($response);

	  $a = $response;

	  // print_r($a);

	  $a = explode(" ", $a);


		$parsed = $this->get_string_between($a[28], '{', '}');

		$parsed = explode(",", $parsed);

		$parsed = explode(":", $parsed[0]);

		$AccessToken = $parsed[1];

		$AccessToken = str_ireplace('"', '', $AccessToken);

		return $AccessToken;




 }

 public function get_string_between($string, $start, $end){
    $string = ' ' . $string;
    $ini = strpos($string, $start);
    if ($ini == 0) return '';
    $ini += strlen($start);
    $len = strpos($string, $end, $ini) - $ini;
    return substr($string, $ini, $len);
}
//mailer converkit
public function convertkit($access,$contactEmail=null,$firstName=null,$product_id)
{
	
	if($contactEmail !=null && $contactEmail !=''){
		$name =$firstName;
		$email =$contactEmail;
	}else{
		$name =$this->Jvzoolistenermodel->CCustName;
		$email =$this->Jvzoolistenermodel->CCustEmail;
	}
	
	$apikey='hfubj_8BEeUxQweJZa1oxw';
	 
    if($access=='1'){
			$tagId ='879568';
		}else if($access=='11'){
			$tagId ='879569';
		}else if($access=='2'){
			$tagId ='879571';
		}else if($access=='21'){
			$tagId ='879573';
		}else if($access=='3'){
			$tagId ='879575';
		}else if($access=='31'){
			$tagId ='879576';
		}else if($access=='4'){
			$tagId ='879577';
		}else if($access=='41'){
			$tagId ='879579';
		}else if($access=='6'){

			if($product_id == 'wso_x8khxw')
			{
				$tagId ='879580';
			}
			else
			{
				$tagId ='879581';

			}
		}else if($access=='61'){
			$tagId ='879583';
		}
    $args = array(
		"api_key"  =>$apikey, 
           "email"=>$email, 
           "name"=>$name

		);
		
		$api='https://api.convertkit.com/v3/tags/'.$tagId.'/subscribe';
		$request = curl_init($api); // initiate curl object
		curl_setopt($request, CURLOPT_HEADER,'Content-type:  application/json'); // set to 0 to eliminate header info from response
		curl_setopt($request, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
		curl_setopt($request, CURLOPT_POSTFIELDS, $args); // use HTTP POST to send form data
		curl_setopt($request, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment if you get no gateway response and are using HTTPS
		curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);

		$register = (string)curl_exec($request);
		//print_r($register);
		$arr=json_decode($register);
		//print_r($arr);
		if ($arr === false){
			echo json_encode(array('error'=>41, 'message'=>'Error subscribing on ConvertKit.'));
			exit;
		}else{
			//echo $subscriberId=$arr['subscription']['subscriber']['id'];
			//echo $state=$arr['subscription']['subscriber']['state'];
			echo json_encode(array('success'=>1));
				//exit; 
			}
		
	
}


public function convertkitVenkata($access,$contactEmail=null,$firstName=null){
	
	if($contactEmail !=null && $contactEmail !=''){
		$name =$firstName;
		$email =$contactEmail;
	}else{
		$name =$this->Jvzoolistenermodel->CCustName;
		$email =$this->Jvzoolistenermodel->CCustEmail;
	}
	
	$apikey='_1udcY_cvzYzz3rwU1culA';
	 
    if($access=='1')
    {
			$tagId ='578253';
	}else if($access=='11')
	{
			$tagId ='578253';
	}
    $args = array(
		"api_key"  =>$apikey, 
           "email"=>$email, 
           "name"=>$name

		);
		
		$api='https://api.convertkit.com/v3/tags/'.$tagId.'/subscribe';
		$request = curl_init($api); // initiate curl object
		curl_setopt($request, CURLOPT_HEADER,'Content-type:  application/json'); // set to 0 to eliminate header info from response
		curl_setopt($request, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
		curl_setopt($request, CURLOPT_POSTFIELDS, $args); // use HTTP POST to send form data
		curl_setopt($request, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment if you get no gateway response and are using HTTPS
		curl_setopt($request, CURLOPT_FOLLOWLOCATION, true);

		$register = (string)curl_exec($request);
		//print_r($register);
		$arr=json_decode($register);
		//print_r($arr);
		if ($arr === false){
			echo json_encode(array('error'=>41, 'message'=>'Error subscribing on ConvertKit.'));
			exit;
		}else{
			//echo $subscriberId=$arr['subscription']['subscriber']['id'];
			//echo $state=$arr['subscription']['subscriber']['state'];
			echo json_encode(array('success'=>1));
				//exit; 
			}
		
	
}

	function nicheaccess($payer_email,$cname)
	{
		// $email = 'shaileshm@onlightenmedia.com';
				$data = array(
			'caffitid' => '',
			'ccustcc' => 'IN',
			'ccustemail' => $payer_email,
			'ccustname' => $cname,
			'ccuststate' => '',
			'cproditem' => 218322,
			'cprodtitle' => 'nichevo whitelabel',
			'cprodtype' => 'STANDARD',
			'ctransaction' => 'SALE',
			'ctransaffiliate' => 1,
			'ctransamount' => 97,
			'ctranspaymentmethod' => 'PYPL',
			'ctransaction' => 'SALE',
			'ctransreceipt' => '8AB94645KS7334044',
			'ctranstime' => '',
			'ctransvendor' => 119849,
			'cupsellreceipt' => '',
			'cvendthru' => '',
			'cverify' => '56FD9600',
				);
		$ch = curl_init();
        curl_setopt_array($ch, array(
        CURLOPT_URL => 'http://topdognicheevo.com/app/index.php/auth/jvZooListener',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_SSL_VERIFYHOST => 2,
        CURLOPT_POSTFIELDS => http_build_query($data),
        ));
        $result = curl_exec($ch);
        curl_close($ch);
        return $result;		
	}
    
	// jvshare listener
	function jvShareListener(){
		    
		   $transactionTime=null;
		   $transactionIdentifier=null;
		   $transactionType=null;
		   $paymentService=null;
		   $receivedAmount=null;
		   $subscriptionID=null;
		   $paidAmount=null;
		   $role=null;
		   $currency=null;
		   $orderLanguage=null;
		   $vendorID=null;
		   $affiliateID=null;
		   $productID=null;
		   $productName=null;
		   $recurring=null;
		   $productPrice=null;
		   $contactEmail=null;
		   $firstName=null;
		   $lastName=null;
		   $state=null;
		   $postalCode=null;
		   $country=null;
		   $aff_firstName=null;
		   $aff_lastName=null;
		   $aff_publicID=null;
		   $ven_firstName=null;
		   $ven_lastName=null;
		   $ven_publicID=null;
		   $serialize_data=null;
			
		   $this->jvsharelistenermodel->ReceivedOn = date('Y/m/d H:i:s', time());
		   $ret = $this->jvsharelistenermodel->create(1); 
		   if (!$ret){
				$msg = "JvZoo - listenerJvZoo - Begin Content - ".$this->jvsharelistenermodel->Error;
				echo $msg;
			return;
		   }else{
				$this->jvsharelistenermodel->jvsharelistener_id = $ret;
		   }
			//$this->datamodel->insertjvsharedata('hii');exit;
			$raw_post_data = file_get_contents('php://input');
			$json_data = @json_decode($raw_post_data, true);
			$secret = $this->config->item('secret_key', 'jvshare');
			$secret = substr(sha1($secret), 0, 32);
            //$this->datamodel->insertjvsharedata($secret); 
			$notification = base64_decode($json_data['notification']);
            //$this->datamodel->insertjvsharedata($notification);exit;
			$iv = base64_decode($json_data['iv']);

			$decoded_data = openssl_decrypt(
				$notification,
				'AES-256-CBC',
				$secret,
				OPENSSL_RAW_DATA,
				$iv
			);
		   $this->jvsharelistenermodel->Content = $decoded_data;
		
		   $ret = $this->jvsharelistenermodel->create(2);
		
		   if (!$ret){
				$msg = "JvShare - listener - Create Content - ".$this->jvsharelistenermodel->Error;
				echo $msg;
				return;
			}
		   
		   $last_id=$this->jvsharelistenermodel->jvsharelistener_id;
		   //$last_id='9';
		   $result=mysqli_query($this->db->conn_id,"select raw_data from jvsharelistener where jvsharelistener_id=$last_id");
		   $row=mysqli_fetch_array($result);
		   $datadecode=$row['raw_data'];
		   //print_r($datadecode);exit;
		   $data = json_decode($datadecode,true);
		   $serialize=serialize($data);
		   if(isset($serialize)) $serialize=$serialize;
		   if(isset($data['transactionInfo']['transactionTime'])) $transactionTime=$data['transactionInfo']['transactionTime'];
		   if(isset($data['transactionInfo']['transactionIdentifier'])) $transactionIdentifier=$data['transactionInfo']['transactionIdentifier'];
		   if(isset($data['transactionInfo']['transactionType'])) $transactionType=$data['transactionInfo']['transactionType'];
		   if(isset($data['transactionInfo']['paymentService'])) $paymentService=$data['transactionInfo']['paymentService'];
		   if(isset($data['transactionInfo']['receivedAmount'])) $receivedAmount=$data['transactionInfo']['receivedAmount'];
		   if(isset($data['transactionInfo']['subscriptionID'])) $subscriptionID=$data['transactionInfo']['subscriptionID'];
		   if(isset($data['transactionInfo']['paidAmount'])) $paidAmount=$data['transactionInfo']['paidAmount'];
		   if(isset($data['transactionInfo']['role'])) $role=$data['transactionInfo']['role'];
		   if(isset($data['transactionInfo']['currency'])) $currency=$data['transactionInfo']['currency'];
		   if(isset($data['transactionInfo']['orderLanguage'])) $orderLanguage=$data['transactionInfo']['orderLanguage'];
		   if(isset($data['transactionInfo']['vendorID'])) $vendorID=$data['transactionInfo']['vendorID'];
		   if(isset($data['transactionInfo']['affiliateID'])) $affiliateID=$data['transactionInfo']['affiliateID'];
		   if(isset($data['products_info'][0]['productID'])) $productID=$data['products_info'][0]['productID'];
		   if(isset($data['products_info'][0]['productName'])) $productName=$data['products_info'][0]['productName'];
		   if(isset($data['products_info'][0]['recurring'])) $recurring=$data['products_info'][0]['recurring'];
		   if(isset($data['products_info'][0]['productPrice'])) $productPrice=$data['products_info'][0]['productPrice'];
		   if(isset($data['customerInfo']['contactInfo']['contactEmail'])) $contactEmail=$data['customerInfo']['contactInfo']['contactEmail'];
		   if(isset($data['customerInfo']['contactInfo']['firstName'])) $firstName=$data['customerInfo']['contactInfo']['firstName'];
		   if(isset($data['customerInfo']['contactInfo']['lastName'])) $lastName=$data['customerInfo']['contactInfo']['lastName'];
		   if(isset($data['customerInfo']['contactInfo']['billingInfo']['address']['state'])) $state=$data['customerInfo']['contactInfo']['billingInfo']['address']['state'];
		   if(isset($data['customerInfo']['contactInfo']['billingInfo']['address']['postalCode'])) $postalCode=$data['customerInfo']['contactInfo']['billingInfo']['address']['postalCode'];
		   if(isset($data['customerInfo']['contactInfo']['billingInfo']['address']['country'])) $country=$data['customerInfo']['contactInfo']['billingInfo']['address']['country'];
		   if(isset($data['affiliateInfo']['firstName'])) $aff_firstName=$data['affiliateInfo']['firstName'];
		   if(isset($data['affiliateInfo']['lastName'])) $aff_lastName=$data['affiliateInfo']['lastName'];
		   if(isset($data['affiliateInfo']['publicID'])) $aff_publicID=$data['affiliateInfo']['publicID'];
		   if(isset($data['vendorInfo']['firstName'])) $ven_firstName=$data['vendorInfo']['firstName'];
		   if(isset($data['vendorInfo']['lastName'])) $ven_lastName=$data['vendorInfo']['lastName'];
		   if(isset($data['vendorInfo']['publicID'])) $ven_publicID=$data['vendorInfo']['publicID'];
		          
		   $this->jvsharelistenermodel->serialize_data = $serialize;
		   $this->jvsharelistenermodel->transactionTime = $transactionTime;
		   $this->jvsharelistenermodel->transactionIdentifier = $transactionIdentifier;
		   $this->jvsharelistenermodel->transactionType = $transactionType;
		   $this->jvsharelistenermodel->paymentService = $paymentService;
		   $this->jvsharelistenermodel->receivedAmount = $receivedAmount;
		   $this->jvsharelistenermodel->subscriptionID = $subscriptionID;
		   $this->jvsharelistenermodel->paidAmount = $paidAmount;
		   $this->jvsharelistenermodel->role = $role;
		   $this->jvsharelistenermodel->currency = $currency;
		   $this->jvsharelistenermodel->orderLanguage = $orderLanguage;
		   $this->jvsharelistenermodel->vendorID = $vendorID;
		   $this->jvsharelistenermodel->affiliateID = $affiliateID;
		   $this->jvsharelistenermodel->productID = $productID;
		   $this->jvsharelistenermodel->productName = $productName;
		   $this->jvsharelistenermodel->recurring = $recurring;
		   $this->jvsharelistenermodel->productPrice = $productPrice;
		   $this->jvsharelistenermodel->contactEmail = $contactEmail;
		   $this->jvsharelistenermodel->firstName = $firstName;
		   $this->jvsharelistenermodel->lastName = $lastName;
		   $this->jvsharelistenermodel->state = $state;
		   $this->jvsharelistenermodel->postalCode = $postalCode;
		   $this->jvsharelistenermodel->country = $country;
		   $this->jvsharelistenermodel->aff_firstName = $aff_firstName;
		   $this->jvsharelistenermodel->aff_lastName = $aff_lastName;
		   $this->jvsharelistenermodel->aff_publicID = $aff_publicID;
		   $this->jvsharelistenermodel->ven_firstName = $ven_firstName;
		   $this->jvsharelistenermodel->ven_lastName = $ven_lastName;
		   $this->jvsharelistenermodel->ven_publicID = $ven_publicID;
           $ret = $this->jvsharelistenermodel->create(3);
		
		   if (!$ret){
				$msg = "JvShare - listener - Create Content Detail - ".$this->jvsharelistenermodel->Error;
				echo $msg;
				return;
		   }
		   if (strtoupper($transactionType) == 'SALE')
		    {
			    $bodyEmail = null; 
				
		       $profile = $this->ion_auth->where('username', $contactEmail)->users()->row(); //pass the code to profile 
			   if (!$profile) {
										
					$access = 1;
					
					//configure the products from jvshare
					$fe = $this->config->item('fe', 'jvshare');
					$oto1 = $this->config->item('oto1', 'jvshare');
					$oto2 = $this->config->item('oto2', 'jvshare');
					$oto3 = $this->config->item('oto3', 'jvshare');
					
					//Define the User Type according to the price of the payment
					if(strpos($fe, $this->jvsharelistenermodel->productID) !== false) {
						$access = 1;
					}elseif(strpos($oto1, $this->jvsharelistenermodel->productID) !== false) {
						$access = '1,2';
					}elseif(strpos($oto2, $this->jvsharelistenermodel->productID) !== false) {
						$access = '1,2,3';
					}elseif(strpos($oto3, $this->jvsharelistenermodel->productID) !== false) {
						$access = '1,2,3,4';
					}
								
					$this->ion_auth->register($contactEmail, 'hs8GewAp' , $contactEmail, array('first_name'=>$firstName,'last_name'=>$lastName,'product_id'=>$this->jvsharelistenermodel->productID ), array('2'), true, $access);
					$this->selectautoresponder($access,$contactEmail,$firstName,$lastName);
				//in case the user already exists, update its access
				    $fetch = mysqli_query($this->db->conn_id,"select id from users where email='$contactEmail'");
                    $row = mysqli_fetch_row($fetch);
                    $user_id=$row[0];
					//$this->generate_invoice($access,$user_id,$contactEmail,$firstName,$this->jvsharelistenermodel->transactionTime,$this->jvsharelistenermodel->productName,$this->jvsharelistenermodel->country,$this->jvsharelistenermodel->productPrice);
			    }
				else
				{
					$access = 1;
						
					//configure the products from jvshare
					$fe = $this->config->item('fe', 'jvshare');
					$oto1 = $this->config->item('oto1', 'jvshare');
					$oto2 = $this->config->item('oto2', 'jvshare');
					$oto3 = $this->config->item('oto3', 'jvshare');
						
					//Define the User Type according to the price of the payment
					if(strpos($fe, $this->jvsharelistenermodel->productID) !== false) {
							$access = '1';
					}elseif(strpos($oto1, $this->jvsharelistenermodel->productID) !== false) {
							$access = '2';
					}elseif(strpos($oto2, $this->jvsharelistenermodel->productID) !== false) {
							$access = '3';
					}elseif(strpos($oto3, $this->jvsharelistenermodel->productID) !== false) {
							$access = '4';
					}
						
					$pos = strpos(','.$profile->access, ','.$access);
					//var_dump($pos);
					if($pos === false) {
							$profile->access .= ','.$access;
							//update user
							$this->Usermodel->updateUserAccess($profile->id, $profile->access ,$this->jvsharelistenermodel->productID);
							$data ='';
							$this->selectautoresponder($access,$contactEmail,$firstName,$lastName);
							
							//  Generate invoice code start
							//$this->generate_invoice($access,$profile->id,$contactEmail,$firstName,$this->jvsharelistenermodel->transactionTime,$this->jvsharelistenermodel->productName,$this->jvsharelistenermodel->country,$this->jvsharelistenermodel->productPrice);
							//  Generate invoice code end
							if($access=='2')
							{	
								//echo $access."inside upgrade1";
								$this->load->library('email'); 		
							
								$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade', 'ion_auth'),  $data, true);
							
								//$message = 'Congrats you are successfully Upgraded!!';

								$this->email->clear();
								$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
								$this->email->to($contactEmail);
								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - Pro Access');
								$this->email->message($message);
							
								if ($this->email->send() == TRUE)
								{
									echo "Successfully upgraded for upgrade1 access";
								}else{
									echo "error";
								}
							}						
							if($access=='3')
							{	

								//echo $access."inside upgrade1";
								$this->load->library('email'); 		
					
								$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade2', 'ion_auth'), $data,  true);
				
								$this->email->clear();
								$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
								$this->email->to($contactEmail);
								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - _DFY Store');
								$this->email->message($message);
					
								if ($this->email->send() == TRUE)
								{
									//print(1);
									echo "Successfully upgraded for upgrade2 access";
								
								}else{
									echo "error";
								}
							}	
							if($access=='4')
							{
								$this->nicheaccess($contactEmail,$firstName);
								$this->load->library('email'); 		
					
								$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade3', 'ion_auth'), $data,  true);
								$this->email->clear();
								$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
								$this->email->to($contactEmail);
								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - Niche-Evo
	');
								$this->email->message($message);
								if ($this->email->send() == TRUE)
								{
									echo "Successfully upgraded for upgrade3 access";
								}else{
									echo "error";
								}
							}	
					} 
			    }
			}
			else if(strtoupper($transactionType) == 'RFND'){
				$msg = "JvZoo - Refunded - <b>UserID</b>:".$contactEmail;
			}
			else if(strtoupper($transactionType) == 'CGBK'){
				$msg = "JvZoo - ChargeBack  - <b>UserID</b>:".$contactEmail;
			}else if(strtoupper($transactionType) == 'INSF'){
				$msg = "JvZoo - ECheck ChargeBack  - <b>UserID</b>:".$contactEmail;
			}else if(strtoupper($transactionType) == 'CANCEL-REBILL'){
				$msg = "JvZoo - Cancellation of a Recurring Billing - <b>UserID</b>:".$contactEmail;
			}else if(strtoupper($transactionType) == 'UNCANCEL-REBILL'){
				$msg = "JvZoo - Reversing the Cancellation of a Recurring Billing - <b>UserID</b>:".$contactEmail;
			}
		exit;
	}
	/* function test_fn(){
		$access=1;
		$contactEmail='amit@sitestrokes.com';
		$firstName='Amit';
		$firstName='Patil';
		$this->selectautoresponder($access,$contactEmail,$firstName);
	}   */
	
	function generate_invoice($access,$user_id,$contactEmail,$firstName,$transactionTime,$productName,$country,$productPrice){
		require_once('./extras/mpdf60/mpdf.php');
		//exit; 
		$invoice=date('Y-M-d');
		$invoice=str_ireplace("-",'',$invoice);
		$invoice=$invoice.$user_id.substr($country,0,3);
		$html='<html dir="ltr" lang="en-US">
		<head>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>PDF</title>
		</head>
		<body>
		<style>

		*{margin:0; padding:0;}
		:focus{outline:none;}
		html{height:100%; -webkit-text-size-adjust:none;}
		body{height:100%; font-size:16px; font-family:Verdana, Geneva, sans-serif; font-weight:300; color:#000; background:#fff;}
		a{text-decoration:none; outline:none; color:#6f6f6f; -webkit-transition:all 0.3s ease 0s; -moz-transition:all 0.3s ease 0s; -o-transition:all 0.3s ease 0s; transition:all 0.3s ease 0s;}
		*{box-sizing:border-box; -webkit-box-sizing:border-box;}
		img{padding:0; margin:0; max-width:100%;  border:none;}
		h1, h2, h3, h4, h5, h6{ margin:0; padding:0; font-family: Arial, Helvetica, sans-serif; font-weight:600; display:block; overflow:hidden; clear:both; }
		p{ margin:0; padding:0; display:block; overflow:hidden; clear:both;}
		h2{ color:#363636; font-size:30px;}
		h3{ font-size:22px;}
		h4{ font-size:16px; color:#363636;}
		p{color:#363636; font-size:16px; line-height:26px;}
		.block{float:left; width:100%;}
		.bl_bg{ background:#bdd6ee;} body{ margin:0; padding:0; font-family:Arial, Helvetica, sans-serif;} 
		.tblt_sec { border-bottom:#000 1px solid;}
		.tblt_sec tr td{ padding:5px; font-size:12px; border:#000 1px solid; border-bottom:none; border-right:none; height:100%;} 
		.tblt_sec tr td:last-child{ border-right:#000 1px solid;} .heading_t{ font-weight:bold;} 
		.t_word{ font-weight:bold; text-transform:uppercase;} .sml_t_col{ padding:0 !important;} .sml_t_col td{ border:none !important;} 
		.subtotal td{ border:none !important; border-bottom:#000 1px solid !important;} 
		.subtotal table tr:last-child td{ border-bottom:none !important;} 
		.subtotal table tr td:first-child{ font-weight:bold;} .total_h{ font-weight:bold; text-align:center; font-size:16px !important; text-transform:uppercase;} 
		.d_tble{ padding:0 !important;} .d_tble td{ border:none !important; border-right:#000 1px solid !important;} 
		.d_tble tr td:last-child{ border-right:none !important;} 
		.d_tble table tr:first-child td{ border-bottom:#000 1px solid !important;} 
		.d_tble table tr td table tr:first-child td{ border-bottom:none !important;} 
		.p_0{ padding:0 !important;} .p_0 td{ width:50%;} .md_cl  td{ border-top:none !important;} 
		.md_cl tr td:first-child{ border-left:none !important;} .md_cl tr td:last-child{ border-right:none !important;}
		</style>
		<div style="width:100%; box-sizing:border-box; -webkit-box-sizing:border-box; max-width:850px; padding:20px; background:#fff; margin:0 auto; font-family: Arial, Helvetica, sans-serif;">
			<div class="block" style="float:left; width:100%;padding-bottom:25px;">
			  <div style="float:left;width:40%">';
				$url1 = 'http://discountpop.co/membersarea/assets/newlogo-2.png';
				$html.='<div style="float:left"><a href=""><img src="'.$url1.'" alt="Logo" width="200" height="50" id="ownerlogo"></a></div>
			  </div>
			  <div style="float:left;width:50%">';
					$html.='<div style="margin-left:200px"><b>Onlighten Media <br /> 1309, Haware Infotech Park <br />			
		Near Vashi Railway Station	<br /> GSTIN: 27AACFO1968P1ZM </b></div>
			  </div>
			</div>
			<div class="block" style="padding-bottom:25px;">
			  <div align="center" style="margin-bottom:10px; background:#36404a; color:#fff; padding:6px 15px; text-transform:uppercase; font-family: Arial, Helvetica, sans-serif; font-weight:600;font-size:22px;">Tax Invoice</div>
			</div>';
			$html.='<div class="block" style="float:left; width:100%; margin:0 0 20px;">
			<table width="100%" border="1" style="border-spacing:0;text-align:left;border:#eee 1px solid;" autosize="1">
			<tr><td style="width:50%;">Invoice No: I'.$invoice.'</td><td style="width:50%;">Transport Mode: Not Applicable</td></tr>
			<tr><td style="width:50%;">Invoice date:'.$transactionTime.'</td><td style="width:50%;">Vehicle number: Not applicable</td></tr>
			<tr><td style="width:50%;">Reverse Charge (Y/N): No</td><td style="width:50%;">Date of Supply:'.$transactionTime.'</td></tr>
			<tr><td style="width:25%;">State: Maharashtra</td><td style="width:50%;">Place of Supply: USA</td></tr>
			<tr><td style="width:25%;">Code : 400705</td></tr>
			<tr><th style="width:50%;">Bill to Party</th><th style="width:50%;">Ship To Party</th></tr>
			<tr><td style="width:50%;">Name: 01 Jan 2017</td><td style="width:50%;">Name:'.$firstName.' </td></tr>
			<tr><td style="width:50%;">Address:'.$contactEmail.'</td><td style="width:50%;">Address:'.$contactEmail.'</td></tr>
			<tr><td style="width:25%;">GSTIN:27AACFO1968P1ZM </td><td style="width:50%;">GSTIN:27AACFO1968P1ZM </td></tr>
			<tr><td style="width:25%;">Country Code:'.$country.'</td><td style="width:50%;">Country Code:'.$country.'</td></tr>
			</table>
			</div>';
			$html.='<div class="block" style="float:left; width:100%; margin:0 0 20px;">
						<table class="tblt_sec" width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr class="heading_t bl_bg">
			<td>S. No.</td>
			<td>Product Description</td>
			<td>HSN code</td>
			<td>UOM</td>
			<td>Qty</td>
			<td>Rate(USD)</td>
			<td>Amount</td>
			<td>Discount</td>
			<td>Taxable Value</td>
			<td class="" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-bottom:0px !important;border-bottom:none;">
				<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="border:none;">
					<tr style="border:none;">
						<td align="center" style="border-left:none;border-top:none;">CGST</td>
					</tr>
					<tr style="padding:0px !important;border:none;">
						<td class="p_0" style="border-left:none;border-top:none;padding:0px !important;">
							<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:none;">
								  <tr>
									<td>Rate</td>
									<td>Amount</td>
								  </tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
			<td class="" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-bottom:0px !important;border-bottom:none;">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td align="center" style="border-left:none;border-top:none;">SGST</td>
				  </tr>
				  <tr style="padding:0px !important;border:none;">
					<td class="p_0" style="padding:0px !important;border:none;border-right:none;">
						<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:none;">
						  <tr>
							<td>Rate</td>
							<td>Amount</td>
						  </tr>
						</table>
					</td>
				  </tr>
				</table>
			</td>
			<td>Total</td>
		   
		  </tr>
		  <tr class="mid_rw">
			
			<td>1</td>
			<td>'.$productName.'</td>
			<td></td>
			<td></td>
			<td>1</td>
			<td>'.$productPrice.'</td>
			<td>'.$productPrice.'</td>
			<td>0</td>
			<td>0</td>
			<td class="p_0 md_cl" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-bottom:0px !important;border-bottom:none;padding-top:0px !important;">
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr style="padding:0px !important;border-top:none;">
						<td style="border-top:none;">0</td>
						<td style="border-top:none;">0</td>
					  </tr>
					</table>
			</td>
			<td class="p_0 md_cl" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-top:0px !important;padding-bottom:0px !important;border-bottom:none;">
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr style="padding-top:0px !important;border-top:none;">
						<td style="border-top:none;">0</td>
						<td style="border-top:none;">0</td>
					  </tr>
					</table>
			</td>
			<td>'.$productPrice.'</td>
		  </tr>
		  <tr class="mid_rw">
			
			<td colspan="4" class="total_h bl_bg">Total</td>
			
			<td>1</td>
			<td>'.$productPrice.'</td>
			<td>'.$productPrice.'</td>
			<td>0</td>
			<td>0</td>
			<td class="p_0 md_cl" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-top:0px !important;padding-bottom:0px !important;border-bottom:none;">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
					  <tr style="padding-top:0px !important;border-top:none;">
						<td style="border-top:none;">0</td>
						<td style="border-top:none;">0</td>
					  </tr>
				</table>
			</td>
			<td class="p_0 md_cl" valign="top" style="padding-left:0px !important;padding-right:0px !important;padding-top:0px !important;padding-bottom:0px !important;border-bottom:none;">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
				  <tr style="padding-top:0px !important;border-top:none;">
					<td style="border-top:none;">0</td>
					<td style="border-top:none;">0</td>
				  </tr>
				</table>
			</td>
			<td>'.$productPrice.'</td>
		  </tr>
		  <tr class="mid_rw">
			
			<td colspan="9" valign="top" class="sml_t_col" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="bl_bg t_word">
				  <tr>
					<td align="center">Total Invoice amount in words</td>
				  </tr>
				</table>
			</td>
			<td class="subtotal" colspan="3">
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td>Total Amount before Tax</td>
					<td>0</td>
				  </tr>
				  <tr>
					<td>Add: CGST</td>
					<td>0</td>
				  </tr>
				  <tr>
					<td>Add: SGST</td>
					<td>0</td>
				  </tr>
				  <tr>
					<td>Total Tax Amount</td>
					<td>0</td>
				  </tr>
				  <tr>
					<td>Total Amount after Tax:</td>
					<td>0</td>
				  </tr>
				  <tr>
					<td>GST on Reverse Charge</td>
					<td>0</td>
				  </tr>
				</table>

			</td>
		   
		  </tr>
		  <tr class="mid_rw">
			
			<td colspan="6" valign="top" class="sml_t_col" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="bl_bg t_word">
				  <tr>
					<td align="center">bank details</td>
				  </tr>
				</table>
			</td>
			<td colspan="2" rowspan="4" valign="top"></td>
			<td colspan="5" align="center">
				Ceritified that the particulars given above are true and correct</td>
		  </tr> 
		  <tr class="mid_rw">
			
			<td colspan="6" valign="top" class="sml_t_col" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="t_word">
				  <tr>
					<td align="left">Bank A/c:'.$contactEmail.'</td>
				  </tr>
				</table>
			</td>
			<td colspan="5" align="center">
				<b>For OnlightenMedia</b>
			</td>
		  </tr> 
		  <tr class="mid_rw">
			
			<td colspan="6" valign="top" class="sml_t_col" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="t_word">
				  <tr>
					<td align="left">Bank IFSC:N/A</td>
				  </tr>
				</table>
			</td>
		  </tr>
		  <tr class="mid_rw">
			
			<td colspan="6" valign="top" class="sml_t_col" >
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="t_word">
				  <tr>
					<td align="left">Terms & conditions:30 Days Money Bank Guarantee.</td>
				  </tr>
				</table>
			</td>
		  </tr> 
		   <tr class="mid_rw">
			
			<td colspan="6" valign="top" class="sml_t_col"></td>
			<td colspan="2" valign="top" align="center">Common Seal</td>
			<td colspan="4" valign="top" align="center"><b>Authorized Signature</b></td>
		   
		  </tr>
		</table></div>';
		//echo $html;exit;
		$mpdf=new mPDF('', 'A3'); 
		$mpdf->showImageErrors = true;

		$mpdf->writeHTML($html);




		// ---------------------------------------------------------
		ob_start();
		//Close and output PDF document
		$filename=str_ireplace("@","_",substr($contactEmail,0,5));
	    $filename=$filename."-".$user_id."-".$access;
	
		
		$dirname=date('Y-m-d');
		if(!is_dir('invoice')){
			mkdir('invoice');
		}
		if(!is_dir('invoice/'.$dirname)){
				mkdir('invoice/'.$dirname);
		}
		if(!is_dir('invoice/'.$dirname.'/'.$user_id)){
				mkdir('invoice/'.$dirname.'/'.$user_id);
		}
		$mpdf->Output('invoice/'.$dirname.'/'.$user_id.'/'.$filename.'.pdf', 'F');	
	}


	//warrior plus
	function warriorlistener()
	{

		// echo "hello";
		// exit();
	    // $ipaddress= $this->get_client_ip();
		// $userid=$_GET['id'];
		// $product=$_GET['pid'];
		// $ip=$ipaddress;
		$value="inserted";
		$this->Warriorlistenermodel->insertValue($value);
		$WP_TXNID = null;
		$WP_SALEID = null;
		$WP_TRANSACTION_DATE = null;
		$WP_ACTION = null;
		$WP_PAYMETHOD = null;
		$WP_SUBSCR_ID = null;
		$WP_SUBSCR_STATUS = null;
		$WP_AFFID = null;
		$WP_SUBSCR_PAYMENT_NUM = null;
		$WP_SUBSCR_PAYMENT_AMOUNT  = null;
		$WP_SUBSCR_PAYMENT_TXNID = null;
		$WP_SUBSCR_NEXT_PAYMENT_DATE  = null;
		$WP_ITEM_NAME = null;
		$WP_ITEM_NUMBER = null;
		$WP_SALE_AMOUNT = null;
		$WP_BUYER_NAME = null;
		$WP_SALE_CURRENCY = null;
		$WP_BUYER_EMAIL = null;
		$WP_SECURITYKEY = null;
		
		$this->Warriorlistenermodel->ReceivedOn = date('Y/m/d H:i:s', time());
		$ret = $this->Warriorlistenermodel->create(1);
		 // echo $ret;exit();
		if (!$ret){
			$msg = "Warriorplus - listenerWarriorplus - Begin Content - ".$this->Warriorlistenermodel->Error;
			echo $msg;
			//Common::sendAdministrativeMail($msg);
			return;
			
		}else{
			$this->Warriorlistenermodel->WarriorListener_id = $ret;
		}
        		
		// STEP 1: read POST data
 		
		// Reading POSTed data directly from $_REQUEST causes serialization issues with array data in the POST.
		// Instead, read raw POST data from the input stream.
		$raw_post_data = serialize($_REQUEST);
		// print_r(json_encode($_POST));exit;
			//update the Content receive from Thrive Cart;
		$this->Warriorlistenermodel->Content = $raw_post_data;
		// print_r($this->Warriorlistenermodel->content);
		$ret = $this->Warriorlistenermodel->create(2);
		// exit;
		
		if (!$ret){
			$msg = "Warriorplus - listenerWarriorplus- Create Content - ".$this->Warriorlistenermodel->Error;
			echo $msg;
			//Common::sendAdministrativeMail($msg);
			return;
		}
		
		// $raw_post_array = explode('&', $raw_post_data);
		
		// inspect IPN validation result and act accordingly
		//if ($this->jvzIpnVerification()) {
		$status = false;
		$jvq=$this->config->item('secret', 'warrior');
		
		if (!empty($jvq)){
			if(isset($_REQUEST['WP_SECURITYKEY'])){
				
			if ($jvq == $_REQUEST['WP_SECURITYKEY']){
				$status = true;
			}else{
				$status = false;
			}
			}
		}else{
			$status = true;
		}
		if ($status) 
		{
			
			// The IPN is verified, process it:
			// check whether the payment_status is Completed
			// check that receiver_email is your Primary PayPal email
			// check that payment_amount/payment_currency are correct
			// process the notification
			 
			// assign posted variables to local variables
			if (isset($_REQUEST['WP_TXNID'])) $WP_TXNID = $_REQUEST['WP_TXNID'];
			if (isset($_REQUEST['WP_SALEID'])) $WP_SALEID = $_REQUEST['WP_SALEID'];
			if (isset($_REQUEST['WP_TRANSACTION_DATE'])) $WP_TRANSACTION_DATE = date('Y/m/d H:i:s', strtotime($_REQUEST['WP_TRANSACTION_DATE']));
			if (isset($_REQUEST['WP_ACTION'])) $WP_ACTION = $_REQUEST['WP_ACTION'];
			if (isset($_REQUEST['WP_PAYMETHOD'])) $WP_PAYMETHOD = $_REQUEST['WP_PAYMETHOD'];
			if (isset($_REQUEST['WP_SUBSCR_ID'])) $WP_SUBSCR_ID = $_REQUEST['WP_SUBSCR_ID'];
			if (isset($_REQUEST['WP_SUBSCR_STATUS'])) $WP_SUBSCR_STATUS = $_REQUEST['WP_SUBSCR_STATUS'];
			if (isset($_REQUEST['WP_AFFID'])) $WP_AFFID = $_REQUEST['WP_AFFID'];
			if (isset($_REQUEST['WP_SUBSCR_PAYMENT_NUM'])) $WP_SUBSCR_PAYMENT_NUM = $_REQUEST['WP_SUBSCR_PAYMENT_NUM'];
			if (isset($_REQUEST['WP_SUBSCR_PAYMENT_AMOUNT '])) $WP_SUBSCR_PAYMENT_AMOUNT  = $_REQUEST['WP_SUBSCR_PAYMENT_AMOUNT '];
			if (isset($_REQUEST['WP_SUBSCR_PAYMENT_TXNID '])) $WP_SUBSCR_PAYMENT_TXNID  = $_REQUEST['WP_SUBSCR_PAYMENT_TXNID '];
			if (isset($_REQUEST['WP_SUBSCR_NEXT_PAYMENT_DATE '])) $WP_SUBSCR_NEXT_PAYMENT_DATE  = $_REQUEST['WP_SUBSCR_NEXT_PAYMENT_DATE '];
			if (isset($_REQUEST['WP_ITEM_NAME'])) $WP_ITEM_NAME = $_REQUEST['WP_ITEM_NAME'];
			if (isset($_REQUEST['WP_ITEM_NUMBER'])) $WP_ITEM_NUMBER = $_REQUEST['WP_ITEM_NUMBER'];
			if (isset($_REQUEST['WP_SALE_AMOUNT'])) $WP_SALE_AMOUNT = $_REQUEST['WP_SALE_AMOUNT'];
			if (isset($_REQUEST['WP_BUYER_NAME'])) $WP_BUYER_NAME = $_REQUEST['WP_BUYER_NAME'];
			if (isset($_REQUEST['WP_SALE_CURRENCY'])) $WP_SALE_CURRENCY = $_REQUEST['WP_SALE_CURRENCY'];
			if (isset($_REQUEST['WP_BUYER_EMAIL'])) $WP_BUYER_EMAIL = $_REQUEST['WP_BUYER_EMAIL'];
			if (isset($_REQUEST['WP_SECURITYKEY'])) $WP_SECURITYKEY = $_REQUEST['WP_SECURITYKEY'];
			
			//Save the payment informations
			// $this->Warriorlistenermodel->Ip = $ipaddress;
			// $this->Warriorlistenermodel->Userid = $userid;
			// $this->Warriorlistenermodel->Productid= $product;
			$this->Warriorlistenermodel->TxnId = $WP_TXNID;
			$this->Warriorlistenermodel->SaleId = $WP_SALEID;
			$this->Warriorlistenermodel->AffiId = $WP_AFFID;
			$this->Warriorlistenermodel->TransactionDate = $WP_TRANSACTION_DATE;
			$this->Warriorlistenermodel->Action = $WP_ACTION;
			$this->Warriorlistenermodel->PayMethod = $WP_PAYMETHOD;
			$this->Warriorlistenermodel->SubscribeId = $WP_SUBSCR_ID;
			$this->Warriorlistenermodel->SubscribePaynum = $WP_SUBSCR_PAYMENT_NUM;
			$this->Warriorlistenermodel->SubscribeAmt = $WP_SUBSCR_PAYMENT_AMOUNT;
			$this->Warriorlistenermodel->SubscribeStatus = $WP_SUBSCR_STATUS;
			$this->Warriorlistenermodel->SubscriptionTxnId = $WP_SUBSCR_PAYMENT_TXNID;
			$this->Warriorlistenermodel->SubscriptionNextDue = $WP_SUBSCR_NEXT_PAYMENT_DATE;
			$this->Warriorlistenermodel->ItemName = $WP_ITEM_NAME;
			$this->Warriorlistenermodel->ItemNumber = $WP_ITEM_NUMBER;
			$this->Warriorlistenermodel->SaleAmount = $WP_SALE_AMOUNT;
			$this->Warriorlistenermodel->BuyerFirstName = $WP_BUYER_NAME;
			$this->Warriorlistenermodel->SaleCurrency = $WP_SALE_CURRENCY;
			$this->Warriorlistenermodel->BuyerEmail = $WP_BUYER_EMAIL;
			$this->Warriorlistenermodel->SecretKey = $WP_SECURITYKEY;
			$this->Warriorlistenermodel->UpdatedOn = date('Y/m/d H:i:s', time());
			
			$ret = $this->Warriorlistenermodel->create(3);
		
			if (!$ret){
				$msg = "Warriorplus - listenerWarriorplus - Create Content Detail - ".$this->Warriorlistenermodel->Error;
				echo $msg;
				//Common::sendAdministrativeMail($msg);
				return;
			}
			
			//In case this is the first payment, create an Authorization to register on the system
			if (strtoupper($WP_ACTION) == 'SALE'){
				
				//set the bodyMessage and CreatedBy User
				$bodyEmail = null; 
				
				$profile = $this->ion_auth->where('username', $WP_BUYER_EMAIL)->users()->row(); //pass the code to profile
				//in case the user is new, create it.
				//print_r($profile);exit;
				if (!$profile) 
				{
										
					//configure the products from DealGuardian
					//$oto3 = $this->config->item('oto3', 'dealguardian');
					
					$fe = $this->config->item('fe', 'warrior');
					$feds = $this->config->item('feds', 'warrior');

					$oto1 = $this->config->item('oto1', 'warrior');
					$oto1ds = $this->config->item('oto1ds', 'warrior');

					$oto2 = $this->config->item('oto2', 'warrior');
					$oto2ds = $this->config->item('oto2ds', 'warrior');

					$oto3 = $this->config->item('oto3', 'warrior');
					$oto3ds = $this->config->item('oto3ds', 'warrior');

					$oto4 = $this->config->item('oto4', 'warrior');
					$oto4ds = $this->config->item('oto4ds', 'warrior');

					
					// echo $WP_ITEM_NUMBER;exit();
					//Define the User Type according to the price of the payment
					if(strpos($fe, $WP_ITEM_NUMBER) !== false) 
					{
						$access = '1';
					}elseif(strpos($feds, $WP_ITEM_NUMBER) !== false) {
						$access = '11';
					}elseif(strpos($oto1, $WP_ITEM_NUMBER) !== false) {
						$access = '2';
					}elseif(strpos($oto1ds, $WP_ITEM_NUMBER) !== false) {
						$access = '21';
					}
					elseif(strpos($oto2, $WP_ITEM_NUMBER) !== false) {
						$access = '3';
					}elseif(strpos($oto2ds, $WP_ITEM_NUMBER) !== false) {
						$access = '31';
					}elseif(strpos($oto3, $WP_ITEM_NUMBER) !== false) {
						$access = '4';
					}elseif(strpos($oto3ds, $WP_ITEM_NUMBER) !== false) {
						$access = '41';
					}elseif(strpos($oto4, $WP_ITEM_NUMBER) !== false) {
						$access = '6';
					}elseif(strpos($oto4ds, $WP_ITEM_NUMBER) !== false) {
						$access = '61';
					}

		           
				   
						$this->ion_auth->register($WP_BUYER_EMAIL, '6sg63SA', $WP_BUYER_EMAIL, array('first_name'=>$WP_BUYER_NAME,'product_id'=>$WP_ITEM_NUMBER), array('2'), true, $access ,$WP_ITEM_NUMBER);
					
				    	$this->selectautoresponder($access,$WP_BUYER_EMAIL,$WP_BUYER_NAME,$WP_ITEM_NUMBER);

			      
				
				//in case the user already exists, update its access
				}else
				{
					//echo 'hii';
					// $access = 1;
					
					//configure the products from warrior
					$fe = $this->config->item('fe', 'warrior');
					$feds = $this->config->item('feds', 'warrior');

					$oto1 = $this->config->item('oto1', 'warrior');
					$oto1ds = $this->config->item('oto1ds', 'warrior');

					$oto2 = $this->config->item('oto2', 'warrior');


					$oto2ds = $this->config->item('oto2ds', 'warrior');

					$oto3 = $this->config->item('oto3', 'warrior');
					$oto3ds = $this->config->item('oto3ds', 'warrior');

					$oto4 = $this->config->item('oto4', 'warrior');
					$oto4ds = $this->config->item('oto4ds', 'warrior');
					// $oto2ds = $this->config->item('oto2ds', 'warrior');

					
					//Define the User Type according to the price of the payment
					if(strpos($fe, $WP_ITEM_NUMBER) !== false) 
					{
						$access = '1';
					}elseif(strpos($feds, $WP_ITEM_NUMBER) !== false) {
						$access = '11';
					}elseif(strpos($oto1, $WP_ITEM_NUMBER) !== false) {
						$access = '2';
					}elseif(strpos($oto1ds, $WP_ITEM_NUMBER) !== false) {
						$access = '21';
					}elseif(strpos($oto2, $WP_ITEM_NUMBER) !== false) {
						$access = '3';
					}elseif(strpos($oto2ds, $WP_ITEM_NUMBER) !== false) {
						$access = '31';
					}elseif(strpos($oto3, $WP_ITEM_NUMBER) !== false) {
						$access = '4';
					}elseif(strpos($oto3ds, $WP_ITEM_NUMBER) !== false) {
						$access = '41';
					}elseif(strpos($oto4, $WP_ITEM_NUMBER) !== false) {
						$access = '6';
					}elseif(strpos($oto4, $WP_ITEM_NUMBER) !== false) {
						$access = '61';
					}
					$pos = strpos(','.$profile->access, ','.$access);

					//var_dump($pos);
					
					if($pos === false) {
						$profile->access .= ','.$access;						
						$data = '';	
					//print_r($profile->access);exit;
					//print_r($this->Warriorlistenermodel->ItemNumber);exit();
					//update user
					$this->Usermodel->updateUserAccess($profile->id, $profile->access,$this->Warriorlistenermodel->ItemNumber);
				
					$this->selectautoresponder($access,$WP_BUYER_EMAIL,$WP_BUYER_NAME,$WP_ITEM_NUMBER);

				if($access=='2' || $access=='21')
				{	
					//echo $access."inside upgrade1";
					$this->load->library('email'); 		
					
					$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade', 'ion_auth'), $data, true);
				
						//$message = 'Congrats you are successfully Upgraded!!';

						$this->email->clear();
						$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
						$this->email->to($WP_BUYER_EMAIL);

						if($access == '2')
						{
							$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - ' . $this->lang->line('email_upgrade_subject'));
						}
						else
						{
							$this->email->subject($this->config->item('site_title', 'ion_auth') . $this->lang->line('email_upgradelite_subject'));
						}
						
						$this->email->message($message);
						echo "Successfully upgraded for upgrade1 access";
							if ($this->email->send() == TRUE)
							{

							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
					}						
						if($access=='3' || $access=='31')
						{	
							//echo $access."inside upgrade1";
							$this->load->library('email'); 		
							
							$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade2', 'ion_auth'), $data, true);
							
							//$message = 'Congrats you are successfully Upgraded!!';

							$this->email->clear();
							$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
							$this->email->to($WP_BUYER_EMAIL);

							if($access == '3')
							{
								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - ' . $this->lang->line('email_upgrade2_subject'));

							}
							else
							{
								$this->email->subject($this->config->item('site_title', 'ion_auth') . $this->lang->line('email_upgrade2lite_subject'));
								

							}
							$this->email->message($message);
							echo "Successfully upgraded for upgrade2 access";
								if ($this->email->send() == TRUE)
							{

							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
						}							
						if($access=='4' || $access=='41')
						{
							//echo $access."inside upgrade2";
							$this->load->library('email'); 		
				
							$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade3', 'ion_auth'), $data, true);
				
							//$message = 'Congrats you are successfully Upgraded!!';
			
							$this->email->clear();
							$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
							$this->email->to($WP_BUYER_EMAIL);

							if($access == '4')
							{

								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - ' . $this->lang->line('email_upgrade3_subject'));
							}
							else
							{
								$this->email->subject($this->config->item('site_title', 'ion_auth') . $this->lang->line('email_upgrade3lite_subject'));
								

							}
							$this->email->message($message);
							//echo "Successfully upgraded";
							if ($this->email->send() == TRUE)
							{
								//print(1);
								echo "Successfully upgraded for Upgrade3 access";
								
								//$this->set_message('activation_email_successful');
								return $id;
							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
						
						} 


						if($access=='6' || $access=='61')
						{
							//echo $access."inside upgrade2";
							$this->load->library('email'); 		
				
							$message = $this->load->view($this->config->item('email_templates', 'ion_auth').$this->config->item('email_upgrade4', 'ion_auth'), $data, true);
				
							//$message = 'Congrats you are successfully Upgraded!!';
			
							$this->email->clear();
							$this->email->from($this->config->item('admin_email', 'ion_auth'), $this->config->item('site_title', 'ion_auth'));
							$this->email->to($WP_BUYER_EMAIL);

							if($access == '6')
							{

								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - ' . $this->lang->line('email_upgrade4_subject'));
							}
							else
							{
								$this->email->subject($this->config->item('site_title', 'ion_auth') . ' - ' . $this->lang->line('email_upgrade4_subject').' Lite');

							}
							$this->email->message($message);
							//echo "Successfully upgraded";
							if ($this->email->send() == TRUE)
							{
								//print(1);
								echo "Successfully upgraded for Upgrade3 access";
								
								//$this->set_message('activation_email_successful');
								return $id;
							}else{
								//die($this->email->print_debugger());
								//return FALSE;
								//print(2);
							}
						
						} 
						
						
						
					}else
					{
						$previous_product_id=$profile->product_id;
						if($previous_product_id!=""){
						$p_id= $previous_product_id.','.$this->Warriorlistenermodel->ItemNumber;
						}else{
						$p_id=$this->Warriorlistenermodel->ItemNumber;}
						// exit();
						$this->Usermodel->updateUserAccess($profile->id, $profile->access,$p_id);
				
						$this->selectautoresponder($access,$WP_BUYER_EMAIL,$WP_BUYER_NAME,$WP_ITEM_NUMBER);
					}
				} 
			}else if(strtoupper($WP_ACTION) == 'REBILL'){
				$msg = "Warriorplus - Rebill - <b>UserID</b>:".$buyer_email;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($WP_ACTION) == 'REFUND'){
				$msg = "Warriorplus - Refunded - <b>UserID</b>:".$buyer_email;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($WP_ACTION) == 'CHARGEBACK'){
				$msg = "Warriorplus - ChargeBack  - <b>UserID</b>:".$buyer_email;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($WP_ACTION) == 'FAILED'){
				$msg = "Warriorplus - Failed  - <b>UserID</b>:".$buyer_email;
				//Common::sendAdministrativeMail($msg);
			}else if(strtoupper($WP_ACTION) == 'CANCELATION'){
				
				$profile = $this->ion_auth->where('username', $buyer_email)->users()->row(); //pass the code to profile
				//in case the user is new, create it.
				if ($profile) {
					//$access = 1;
					
					//configure the products from jvzoo
					$oto3 = $this->config->item('oto3', 'warrior');
					
					//Define the User Type according to the price of the payment
					if(strpos($oto3, $WP_ITEM_NUMBER) !== false) {
						$access = '4';
					}
					
					$pos = strpos(','.$profile->access, ','.$access);
					
					if($pos !== false) {
						$newAccess = str_replace(','.$access, '', $profile->access);						
						
						//update user
						$this->Usermodel->updateUserAccess($profile->id, $newAccess);
					}
				}
				
				$msg = "Warriorplus - Cancellation of a Recurring Billing - <b>UserID</b>:".$WP_BUYER_EMAIL;
				//Common::sendAdministrativeMail($msg);
			}
			$name=$WP_BUYER_NAME;
			$lname=$WP_BUYER_NAME;
			$email=$WP_BUYER_EMAIL;
			
			
			echo "IPN received successfully.";
			$this->load->model('sitemodel');
		   // $this->sitemodel->customerlist($userid,$product,$ipaddress,$name,$email,$WP_ITEM_NAME,$WP_ACTION,$WP_SALE_AMOUNT,$WP_TRANSACTION_DATE,$WP_AFFID);
			echo "detail received successfully.";
			//exit;
			//$this->select($userid,$product,$name,$lname,$email);
			//exit;
			 
			// IPN message values depend upon the type of notification sent.
			// To loop through the &_POST array and print the NV pairs to the screen:
			//foreach($_REQUEST as $key => $value) {
			//	echo $key." = ". $value."<br>";
			//}
		} else {
			$msg = "Warriorplus - listenerWarriorplus- Invalid IPN call - <b>Data</b>:".$raw_post_data;
			//Common::sendAdministrativeMail($msg);
			// IPN invalid, log for manual investigation
			echo "Warriorplus - listenerWarriorplus - Invalid IPN call";
			return;
			//echo "The response from IPN was: <b>" .$res ."</b>";
		}
		return;
	}
	
}
