<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Users extends CI_Controller 
{

	function __construct()
	{
		parent::__construct();
		$this->load->library('ion_auth');
		$this->load->helper('url');
		$this->load->helper('form');
		$this->load->library('form_validation');
		$this->load->model('Usermodel');
		$this->load->model('Ion_auth_model');	
        $this->load->helper('language');
		$this->lang->load('page');
		$this->data['active_page'] = lang('user_page_title');
		if(!$this->ion_auth->logged_in()) {
				
				redirect('/login');
			
			} 
		
		
	}

	
	public function index($page='', $search = null ) {
	
		 if ($page == ''){
		$page = 0;
		}else{
		$page = $page - 1; 
		}
   
		$itemsPerPage = 4;
		
		if (isset($_REQUEST['search']) && !is_null($_REQUEST['search'])){

			$this->data['users'] = $this->Usermodel->getSearchUser($_REQUEST['search'],$itemsPerPage,$page);
			$this->data['searchquery'] = $_REQUEST['search'];

		  $total_row =$this->Usermodel->user_record_count();

		}
		else if((strpos($this->session->userdata('access'),'5') == true))
		{
			$this->data['users'] = $this->Usermodel->getAllUsers($itemsPerPage,$page);
			$total_row =$this->Usermodel->user_record_count_all();
			
		}
		else{
			
			$this->data['users'] = $this->Usermodel->getAll($itemsPerPage,$page);
		  $total_row =$this->Usermodel->user_record_count();
			
		}
	  
	
	  //pagination
		  $this->load->library('pagination');
		  $config['base_url'] =base_url() . "index.php/users/index/";
		  $config['total_rows'] = $total_row;
		  $config["per_page"] = $itemsPerPage;  
		  $config['use_page_numbers'] = TRUE;
		  $config['num_links'] = 2;
		  $config['cur_tag_open'] = '&nbsp;<a class="current">';
		  $config['cur_tag_close'] = '</a>';
		  $config['first_link'] = 'First';
		  $config['last_link'] = 'Last';
		  $config['next_link'] = 'Next';
		  $config['prev_link'] = 'Previous';
		
		  $this->pagination->initialize($config); 
		  if($this->uri->segment(3)){
			$page = ($this->uri->segment(3)) ;
			}
			else{
			$page = 1;
			} 
			
		$str_links = $this->pagination->create_links();
		$this->data["links"] = explode('&nbsp;',$str_links );		
		 //END - config the pagination 
		
		$this->data['active_pages'] = 'users';
		$this->load->view('users/users', $this->data);
	
	}
	
	//Add User Manually
	
	public function create() {
	
		$this->form_validation->set_rules('firstname', 'First name', 'required');
		$this->form_validation->set_rules('lastname', 'Last name', 'required');
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
		$this->form_validation->set_rules('password', 'Password', 'required');
		$this->form_validation->set_rules('access', 'Access', 'required');
	
		if ($this->form_validation->run() == FALSE) {
			
			//all did not go well
			$return = array();
			
			$temp = array();
			$temp['header'] = lang('users_create_error1_heading');
			$temp['content'] = lang('users_create_error1_message').validation_errors();
			
			$return['responseCode'] = 0;
			$return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
			
			die( json_encode( $return ) );
		
		} else {
		
			
			//make sure the email address is allowed
			if( $this->ion_auth->email_check($_POST['email']) ) {
			
				//all did not go well
				$return = array();
				
				$temp = array();
				$temp['header'] = lang('users_create_error1_heading');
				$temp['content'] = lang('users_create_error2_message');
				
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
				
				die( json_encode( $return ) );
			
			}
			$user = $this->ion_auth->user()->row();
			$userID = $user->id;
			
			//create the account
			
			if($userID == '1'  ) {//new account is admin
				
				//email activation?
				if( isset($_POST['notify']) && $_POST['notify'] == 'yes' ) {
				
					$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('1'), true, $_POST['access']);
				
				} else {
				
					$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('1'), false, $_POST['access']);
				
				}
			
			
			} else {//not admin
			
			$query=mysqli_query($this->db->conn_id,'select * from users where `parent_user_id`='.$userID.'');
			$query2 = mysqli_query($this->db->conn_id,'select * from users where `id`='.$userID.'');
			$row=mysqli_fetch_array($query2);
			$product_id = $row['product_id'];

			 $count=mysqli_num_rows($query);
			
			
			
				if($product_id == '259127' && $count < 5)
				{
					//email activation?
					if( isset($_POST['notify']) && $_POST['notify'] == 'yes' ) {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), true, $_POST['access']);
						//echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					} else {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), false, $_POST['access']);
					//	echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					}
				
				}
				else if($product_id == '259129' && $count < 50)
				{
					//email activation?
					if( isset($_POST['notify']) && $_POST['notify'] == 'yes' ) {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), true, $_POST['access']);
						//echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					} else {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), false, $_POST['access']);
					//	echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					}
				
				}
				else if($product_id == '256638' && $count < 200)
				{
					//email activation?
					if( isset($_POST['notify']) && $_POST['notify'] == 'yes' ) {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), true, $_POST['access']);
						//echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					} else {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), false, $_POST['access']);
					//	echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					}
				
				}else if($count < 50)
				{
					//email activation?
					if( isset($_POST['notify']) && $_POST['notify'] == 'yes' ) {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), true, $_POST['access']);
						//echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					} else {
					
						$this->ion_auth->registerManually($_POST['email'], $_POST['password'], $_POST['email'], array('first_name'=>$_POST['firstname'], 'last_name'=>$_POST['lastname']), array('2'), false, $_POST['access']);
					//	echo "<script>alert('Congrats !! Your user has been added Successfully ...');</script>";
					}
				
				}
				
				else
				{
					
				$temp = array();
				$temp['header'] = $this->lang->line('users_create_error1_heading');
				$temp['content'] = 'It seems you have reached upto your maximum User limits.';
								$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
								die( json_encode( $return ) );
				}
			}
			
		
			//all good then
			$return = array();
			
			//include users in the return as well
			//$return['users'] = $this->load->view('partials/users', array('users'=>$this->usermodel->getUsersPlusSites()), true);
			
			$temp = array();
			$temp['header'] = lang('users_create_success_heading');
			$temp['content'] = lang('users_create_success_message');
			
			$return['responseCode'] = 1;
			$return['responseHTML'] = $this->load->view('partials/html/success', array('data'=>$temp), true);
			
			die( json_encode( $return ) );
		
		
	
		}
	}
	
	// get user data
	public function editUser($userId =''){
		if(    $userId == '' || $userId =='undefined' ){
            
            //echo "User Id is Missing";
            
			$return = array();
            
            $temp = array();
            $temp['header'] = lang('users_userAjax_error1_heading');
            $temp['content'] =lang('users_userAjax_error1_message');
            
            $return['responseCode'] = 0;
            $return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
            
            die( json_encode( $return ) );
        
        }
		$userData = $this->Usermodel->getUser($userId);
        
        if( $userData == false ) {
        
            //all did not go well
            $return = array();
            
            $temp = array();
            $temp['header'] = $lang('users_userAjax_error2_heading');
            $temp['content'] = $lang('users_userAjax_error2_message');
            
            $return['responseCode'] = 0;
            $return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
            
            echo json_encode( $return );
        
        } else {
            
            //all went well
            $return = array();
            
            $return['responseCode'] = 1;
            $return['responseData'] = $userData;
            
            //print_r($return);
            //exit;
            
            echo json_encode( $return );        
        
        }
	}
	
	//Update User 
	
	public function update() {
		
		$this->form_validation->set_rules('userID', 'User ID', 'required');
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
		$this->form_validation->set_rules('password', 'Password', 'required');
		$this->form_validation->set_rules('access', 'Access', 'required');
	
		if ($this->form_validation->run() == FALSE) {
			
			//all did not go well
			$return = array();
			
			$temp = array();
			$temp['header'] = lang('users_update_error1_heading');
			$temp['content'] = lang('users_update_error1_message').validation_errors();
			
			$return['responseCode'] = 0;
			$return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
			
			die( json_encode( $return ) );
		
		} else {
		
			//make sure the email address is allowed
			
			$user = $this->ion_auth->user($_POST['userID'])->row();
			
			if( $_POST['email'] != $user->email && $this->ion_auth->email_check($_POST['email']) ) {
			
			//if( $_POST['email'] === $user->username || $_POST['email'] === $user->email || $this->ion_auth->identity_check($_POST['email']) === FALSE ) {
			
				//all did not go well
				$return = array();
				
				$temp = array();
				$temp['header'] = lang('users_update_error2_heading');
				$temp['content'] = lang('users_update_error2_message');
				
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
				
				die( json_encode( $return ) );
			
			}
			
			
			//update the account details
			$accessdata=explode("/",$_POST['access']);
			$product_id=$accessdata[1];
			$accessn=$accessdata[0];
			$this->Ion_auth_model->update($_POST['userID'], array('email'=>$_POST['email'], 'password'=>$_POST['password'], 'access'=>$accessn,'product_id'=>$product_id ,'first_name'=>$_POST['firstname'],'last_name'=>$_POST['lastname']));
			
			
			//admin?
			
			if( isset($_POST['isAdmin']) && $_POST['isAdmin'] == 'yes' ) {
			
				$this->ion_auth->add_to_group(1, $_POST['userID']);
			
			} else {
			
				$this->ion_auth->remove_from_group(1, $_POST['userID']);
				
			}
			
			
			//all good then
			$return = array();
			
			
			//return the user details form as well
			
		//	$userStuff = $this->usermodel->getUsersPlusSites( $_POST['userID'] );
			
			//$return['userDetailForm'] = $this->load->view('partials/userdetailsform', array('user'=>$userStuff[0]), true);
			
						
			$temp = array();
			$temp['header'] = lang('users_update_success_heading');
			$temp['content'] = lang('users_update_success_message');
			
			$return['responseCode'] = 1;
			$return['responseHTML'] = $this->load->view('partials/html/success', array('data'=>$temp), true);
			
			die( json_encode( $return ) );
		
		}
		
	}
	//Activate User Manually
	
	public function makeActive()
	{
		$userid = $_POST['id'];
		
		$this->Usermodel->user_activate_Manually($userid);
		
	}	
	
	//Reset User Manually
	public function resetUser()
	{
		$userId = $_POST['userID'];
		$email = $_POST['email'];
        if(    $userId == '' || $userId =='undefined' ){
            
            //echo "UserId is Missing";
            
        $return = array();
            
            $temp = array();
            $temp['header'] = lang('users_userAjax_error1_heading');
            $temp['content'] = lang('users_userAjax_error1_message');
            
            $return['responseCode'] = 0;
            $return['responseHTML'] = $this->load->view('partials/html/error', array('data'=>$temp), true);
            
            die( json_encode( $return ) );
        
        }
		$password= md5(uniqid(rand(0,5), true));
		$password = (strlen($password) > 8) ? substr($password,0,7): $password;		
        $reset = $this->Ion_auth_model->resetUser($userId , $email , $password);
		if($reset)
		{
			$return = array();
						
			$temp = array();
			$temp['header'] = "";
			$temp['content'] = $password;
			
			$return['responseCode'] = 1;
			$return['responseHTML'] = $temp['content'];
			
			die( json_encode( $return ) );			
			
		}
	
		
	}
	
	//Delete indivisual User
	public function deleteUser()
	{
	 
		$userID=$_POST['id'];
		$this->Usermodel->deleteUser($userID);

		if(is_dir("assets/uploads/".$userID))
  		{
  			$this->delete_directory("assets/uploads/".$userID);	
  		}

  		if(is_dir("assets/demoupload/".$userID))
  		{
			$this->delete_directory("assets/demoupload/".$userID);
		}
		if(is_dir("assets/audio/".$userID))
		{
			$this->delete_directory("assets/audio/".$userID);
		}

		if(is_dir("assets/FinalVideo/".$userID))
		{
			$this->delete_directory("assets/FinalVideo/".$userID);
		}
 
	}	

	public function delete_directory($dirname) {
         if (is_dir($dirname))
           $dir_handle = opendir($dirname);
	 if (!$dir_handle)
	      return false;
	 while($file = readdir($dir_handle)) {
	       if ($file != "." && $file != "..") {
	            if (!is_dir($dirname."/".$file))
	                 unlink($dirname."/".$file);
	            else
	                 delete_directory($dirname.'/'.$file);
	       }
	 }
	 closedir($dir_handle);
	 rmdir($dirname);
	 return true;
}


  public function deleteSelectedUsers(){
  
	$ids = (explode( ',', $this->input->get_post('ids')));
 
	$this->Usermodel->deleteAllUsers($ids);
	
	}


public function uaccount() {
	
		$this->form_validation->set_rules('userID', 'User ID', 'required');
		$this->form_validation->set_rules('firstname', 'First name', 'required');
		$this->form_validation->set_rules('lastname', 'Last name', 'required');
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
		$this->form_validation->set_rules('password', 'Password', 'required');
		
		if ($this->form_validation->run() == FALSE) {
			
			//all did not go well
			$return = array();
			
			$temp = array();
			$temp['header'] = "Ouch! Something went wrong:";
			$temp['content'] = "Something went wrong when trying to update your details, please see the errors below:<br><br>".validation_errors();
			
			$return['responseCode'] = 0;
			$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
			
			die( json_encode( $return ) );
		
		} else {
		
			//all well, update user details
			
			$data = array(
				'first_name' => $_POST['firstname'],
				'last_name' => $_POST['lastname'],
				'email' => $_POST['email'],
				'password' => $_POST['password']
			);
			
			if( $this->ion_auth->update($_POST['userID'], $data) ) {
			
				//saved ok
				$return = array();
							
				$temp = array();
				$temp['header'] = "Hooray!";
				$temp['content'] = "Your account details were updated successfully and it will be correctly shown once you reload the page.";
				
				$return['responseCode'] = 1;
				$return['responseHTML'] = $this->load->view('partials/success', array('data'=>$temp), true);
				
				die( json_encode( $return ) );
			
			} else {
			
				//not saved
				//all did not go well
				$return = array();
				
				$temp = array();
				$temp['header'] = "Ouch! Something went wrong:";
				$temp['content'] = "We weren't able to save your details just now. Please reload the page and try again.";
				
				$return['responseCode'] = 0;
				$return['responseHTML'] = $this->load->view('partials/error', array('data'=>$temp), true);
				
				die( json_encode( $return ) );
			
			}
		
		}
	
	}

	
}
/* End of file users.php */
/* Location: ./application/controllers/users.php */

?>