<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Datamodel extends CI_Model {
    function __construct()
    {
        parent::__construct();
        $this->load->database();
        $this->load->library('session');
        $this->load->library('ion_auth');
    }

    public function fetchWebhoseKey()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $this->db->where("user_id",$userID);
        $this->db->select("api_key");
        $this->db->from("webhose");
        $query = $this->db->get();

        if ($query->num_rows() > 0) {
            return $query->result();
        }

        return false;
    }

    public function insertWebhose($webhoseapikey)
    {
        // echo "string";
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['user_id'] = $userID;
        $data['api_key'] = $webhoseapikey;
        $this->db->insert("webhose",$data);
    }

    public function updateWebhose($webhoseapikey)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['api_key'] = $webhoseapikey;
        $this->db->where("user_id",$userID);
        $this->db->update("webhose",$data);
    }

    public function fetchWordpresscredential()
    {
           $user = $this->ion_auth->user()->row();
            $userID = $user->id;
            $this->db->from('xmlrpc_details');
            $this->db->where('user_id',$userID);
            $query = $this->db->get();

        //print_r($query->result());die;
            if ($query->num_rows() > 0) {
            $wpData = array();
            foreach ($query->result() as $row) {
                //print_r($query->result());
            $data = array();
            $data['wpData']=$row;
            $wpData[]=$data;
                //print_r($allSites);
            }
            return $wpData;
            }
            return false;


    }

    public function insertWordpress($url,$name,$pass)
    {

      $user = $this->ion_auth->user()->row();
      $userID = $user->id;
      $data['wpurl'] = $url;
      $data['wpusername'] = $name;
      $data['wppassword'] = $pass;
      $data['user_id'] = $userID;
      $this->db->insert("xmlrpc_details",$data);
    }

    public function updateWordpressCredetial($id,$wusername,$wpassword)
    {
        $user = $this->ion_auth->user()->row();
      $userID = $user->id;
      // $data['wpurl'] = $url;
      $data['wpusername'] = $wusername;
      $data['wppassword'] = $wpassword;
      // $data['user_id'] = $userID;
      $this->db->where("id",$id);
      // $this->db->where("user_id",$userID/)
      $this->db->update("xmlrpc_details",$data);
    }

    public function get_keys()
    {
        $u = $this->ion_auth->user()->row();
        $user_id = $u->id;      
        //print_r($user_id);
        $this->db->from('settings');
        $this->db->where('user_id',$user_id);
        $query=$this->db->get();
        if($query->num_rows()>0){
                    $allSites = array();
            foreach ($query->result() as $row) {
            $data = array();
            $data['agreeData']=$row;
            $allSites[]=$data;
            }
            return $allSites;
            }   
    }

    public function check_keys()
    {
        $u = $this->ion_auth->user()->row();
        $user_id = $u->id;      
        return $this->db->where('user_id',$user_id)->count_all_results("settings");
     
        //return $res;   
    }   

    public function insert_amz_keys($amazon_country,$amazon_access_key,$amazon_secret_key,$amazon_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['user_id']= $userID;
        $data['amazon_country']= $amazon_country;
        $data['amazon_access_key']= $amazon_access_key;
        $data['amazon_secret_key']= $amazon_secret_key;
        $data['amazon_tracking_id']= $amazon_tracking_id;
        $this->db->insert('settings', $data);       
    }   



    public function update_amz_keys($amazon_country,$amazon_access_key,$amazon_secret_key,$amazon_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        //$data['user_id']= $userID;
        $data['amazon_country']= $amazon_country;
        $data['amazon_access_key']= $amazon_access_key;
        $data['amazon_secret_key']= $amazon_secret_key;
        $data['amazon_tracking_id']= $amazon_tracking_id;
        $this->db->where('user_id', $userID);       
        
        $this->db->update('settings', $data);       
    }

    public function insert_ebay_keys($ebay_dev_id,$ebay_cert_id,$ebay_app_id,$ebay_user_id,$ebay_aff_campid,$ebay_aff_campid_for)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['user_id']= $userID;
        
        $data['ebay_dev_id']= $ebay_dev_id;
        $data['ebay_cert_id']= $ebay_cert_id;
        $data['ebay_app_id']= $ebay_app_id;
        $data['ebay_user_id']= $ebay_user_id;
        $data['ebay_camp_id']= $ebay_aff_campid;
        $data['ebay_country']= $ebay_aff_campid_for;
        
        $this->db->insert('settings', $data);       
    }

    public function update_ebay_keys($ebay_dev_id,$ebay_cert_id,$ebay_app_id,$ebay_user_id,$ebay_aff_campid,$ebay_aff_campid_for)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        
        $data['ebay_dev_id']= $ebay_dev_id;
        $data['ebay_cert_id']= $ebay_cert_id;
        $data['ebay_app_id']= $ebay_app_id;
        $data['ebay_user_id']= $ebay_user_id;
        $data['ebay_camp_id']= $ebay_aff_campid;
        $data['ebay_country']= $ebay_aff_campid_for;
        
        $this->db->where('user_id', $userID);       
        
        $this->db->update('settings', $data);       
    }

    public function insertWlamart_keys($walmart_api_key,$walmart_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $data['user_id'] = $userID;
        $data['walmart_api_key'] = $walmart_api_key;
        $data['walmart_tracking_id'] = $walmart_tracking_id;

        $this->db->insert("settings",$data);
    }
    public function updateWlamart_keys($walmart_api_key,$walmart_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        // $data['user_id'] = $userID;
        $data['walmart_api_key'] = $walmart_api_key;
        $data['walmart_tracking_id'] = $walmart_tracking_id;
        $this->db->where('user_id',$userID);
        $this->db->update("settings",$data);
    }

    public function insertShop_keys($shop_api_key,$shop_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $data['user_id'] = $userID;
        $data['shop_api_key'] = $shop_api_key;
        $data['shop_tracking_id'] = $shop_tracking_id;

        $this->db->insert("settings",$data);
    }


    public function updateShop_keys($shop_api_key,$shop_tracking_id)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        // $data['user_id'] = $userID;
        $data['shop_api_key'] = $shop_api_key;
        $data['shop_tracking_id'] = $shop_tracking_id;
        $this->db->where('user_id',$userID);
        $this->db->update("settings",$data);
    }

    public function insertAli_keys($ali_tracking_id,$ali_api_key)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $data['user_id'] = $userID;
        $data['ali_tracking_id'] = $ali_tracking_id;
        $data['ali_api_key'] = $ali_api_key;
        $this->db->insert("settings",$data);
    }

    public function updateAli_keys($ali_tracking_id,$ali_api_key)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        // $data['user_id'] = $userID;
        $data['ali_api_key'] = $ali_api_key;
        $data['ali_tracking_id'] = $ali_tracking_id;
        $this->db->where('user_id',$userID);
        $this->db->update("settings",$data);
    }

    public function insertPost($title1,$imgUrl,$post_id,$blogpath,$username,$password,$permLink)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['post_id'] = $post_id;
        $data['user_id'] = $userID;
        $data['image'] = $imgUrl;
        $data['title'] = $title1;
        $data['blogpath'] = $blogpath;
        $data['username'] = $username;
        $data['password'] = $password;
        $data['post_url'] = $permLink;

        $this->db->insert("blogpost",$data);
    }


    public function fetchPost($limit='',$start='')
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $this->db->from('blogpost');
        if($userID != "1")
        {
            $this->db->where('user_id',$user_id);
        }

        if ($limit !== '' && $start !== ''){
            $this->db->limit($limit,$start*$limit);
            //print($start*$limit);
            //exit;
        } 

        $query=$this->db->get();
        if($query->num_rows()>0){
                    $allSites = array();
            foreach ($query->result() as $row) {
            $data = array();
            $data['blogpost']=$row;
            $allSites[]=$data;
            }
            return $allSites;
            }   
    }


    public function record_count_all(){
        
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        if($userID==1)
        {
            return $this->db->count_all_results("blogpost");
        }
        else
        {
            return $this->db->where('user_id',$userID)->count_all_results("blogpost");

        }
        
        
    }
    public function fetchPosts($url)
    {
        // echo $url;
        // exit();
        $this->db->select("*");
        $this->db->where("blogpath",$url);
        $this->db->from('blogpost');

        // echo $this->db;
        // exit();
        $query=$this->db->get();
        if($query->num_rows()>0)
        {
            $allSites = array();
            foreach ($query->result() as $row) {
            $data = array();
            $data['blogpost']=$row;
            $allSites[]=$data;
            }
            return $allSites;
        }
    }

    public function fetchUSerData($blogpath)
    {
        $this->db->where("wpurl",$blogpath);
        $this->db->from("xmlrpc_details");
        $query = $this->db->get();

        return $query->result();
    }

    public function update_featuredpost($feature,$post_id,$column)
    {
        // echo $featured." ".$post_id;
        $data[$column] = $feature;
        $this->db->where("post_id",$post_id);
        $this->db->update("blogpost",$data);
    }

    public function deletepost($id)
    {
        
        $this->db->where('post_id', $id);
        $this->db->delete('blogpost');
        
    }

    public function setCron($title,$time,$path,$category,$facebooklikes,$language)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['keyword'] = $title;
        $data['time_range'] = $time;
        $data['wordpress_url'] = $path;
        $data['category_id'] = $category;
        $data['facebook_likes'] = $facebooklikes;
        $data['user_id'] = $userID;
        $data['language'] = $language;

        $this->db->insert("trend_automation",$data);
    }

    public function updateCron($title,$time,$path,$category,$facebooklikes,$id,$language)
    {
         $user = $this->ion_auth->user()->row();
        $userID = $user->id;
        $data['keyword'] = $title;
        $data['time_range'] = $time;
        $data['wordpress_url'] = $path;
        $data['category_id'] = $category;
        $data['facebook_likes'] = $facebooklikes;
        $data['language'] = $language;
        
        $this->db->where("id",$id);
        $this->db->where("user_id",$userID);

        $this->db->update("trend_automation",$data);
    }


    public function fetchAutomation()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        if($userID!=1)
        {
            $this->db->where("user_id",$userID);
        }

        $this->db->order_by('created_date','desc');
        $this->db->from("trend_automation");
        $query = $this->db->get();

        if ($query->num_rows() > 0) {
            $autoData = array();
            foreach ($query->result() as $row) {
                //print_r($query->result());
            $data = array();
            $data['autoData']=$row;
            $autoData[]=$data;
                //print_r($allSites);
            }
            return $autoData;
            }
            return false;
    }

    public function updateStatus($id,$status)
    {
        $data['status'] = $status;
        $this->db->where("id",$id);
        $this->db->update("trend_automation",$data);
    }

    public function deleteAuto($id)
    {
        $this->db->where("id",$id);
        $this->db->delete("trend_automation");
    }

    public function fbAccess()
    {
        $u = $this->ion_auth->user()->row();
        $user_id = $u->id;      
        return $this->db->where('user_id',$user_id)->count_all_results("fb_settings");
    }

    public function insertPageDetail($pageid , $pagename , $accesstoken)
    {
        $u = $this->ion_auth->user()->row();
        $user_id = $u->id;      
        $data['page_name']=$pagename;
        $data['page_id']=$pageid;
        $data['page_access_token']=$accesstoken;
        $data['user_id']=$user_id;
        $this->db->insert('fb_settings', $data);
    }

    public function deletePages()
    {
        $u = $this->ion_auth->user()->row();
        $user_id = $u->id;        
        $this->db->where('user_id', $user_id);
       $this->db->delete('fb_settings');        
    }

    public function fetch_fb_data() 
    {
            $user = $this->ion_auth->user()->row();
            $userID = $user->id;
            
            $this->db->from('fb_settings');
            $this->db->where('user_id',$userID);
            $query = $this->db->get();
            if ($query->num_rows() > 0) {
            $fbdata = array();
            foreach ($query->result() as $row) {
            $data = array();
            $data['fbData']=$row;
            $fbdata[]=$data;
            }
            return $fbdata;
            }
            return false;
    }

    public function updateAutomation($screenshot,$id)
    {
        $data['image_url'] = $screenshot;
        $this->db->where("id",$id);
        $this->db->update("trend_automation",$data);
    }

    public function insert_product($post_id,$title,$imgUrl,$blogpath,$username,$password,$producttype,$asin,$permLink)
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $data['product_id'] = $post_id;
        $data['title'] = $title;
        $data['image'] = $imgUrl;
        $data['blogpath'] = $blogpath;
        $data['username'] = $username;
        $data['password'] = $password;
        $data['product_type'] = $producttype;
        $data['actual_product_id'] = $asin;
        $data['user_id'] = $userID;

        $this->db->insert("trend_products",$data);
    }

    public function checkCounts($user_id)
    {
        $this->db->where("user_id",$user_id);
        $this->db->from("trending_keyword");
        $query = $this->db->get();

        return $query->num_rows();
    }


    public function insertCounts($user_id,$search,$post,$webhose_count,$product_id)
    {
        $data['user_id'] = $user_id;
        $data['trend_count'] = $search;
        $data['post_count'] = $post;
        $data['webhose_search_count'] = $webhose_count;
        $data['product_id'] = $product_id;

        $this->db->insert("trending_keyword",$data);
    }

    public function updateCount($user_id,$search,$post,$webhose_count,$product_id)
    {
        // $data['user_id'] = $user_id;
        $data['trend_count'] = $search;
        $data['post_count'] = $post;
        $data['webhose_search_count'] = $webhose_count;
        $data['product_id'] = $product_id;
        $this->db->where("user_id",$user_id);
        $this->db->update("trending_keyword",$data);
    }


    public function fetch_webhose_search()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $this->db->select("webhose_search_count");
        $this->db->where("user_id",$userID);
        $this->db->from("trending_keyword");

        $query = $this->db->get();

        return $query->result()[0]->webhose_search_count;


    }

    public function updateWebhose_count()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id; 
        $this->db->where('user_id', $userID);
        $this->db->set('webhose_search_count', 'webhose_search_count-1', FALSE);
        $this->db->update('trending_keyword');
    }

    public function fetch_product_id($user_id)
    {
        $this->db->where("user_id",$user_id);
        $this->db->select("product_id");
        $this->db->from("trending_keyword");
         $query = $this->db->get();

        return $query->result()[0]->product_id;

    }

    public function fetch_search_count($user_id)
    {
        $this->db->select("trend_count");
        $this->db->where("user_id",$user_id);
        $this->db->from("trending_keyword");
        $query = $this->db->get();

        return $query->result()[0]->trend_count;
    }

    public function updateCountsearch()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $this->db->where('user_id', $userID);
        $this->db->set('trend_count', 'trend_count-1', FALSE);
        $this->db->update('trending_keyword');
    }

    public function fetchBlogsUrl()
    {
        $user = $this->ion_auth->user()->row();
        $userID = $user->id;

        $this->db->where('user_id', $userID);
        $this->db->from("xmlrpc_details");
        $query = $this->db->get();

        return $query->num_rows();


    }
}
?>
