<?php

//include cookie code file
// include './cookie.php';

class WebRss{
	
	public $cookies;
    public $userAgents;
	public $useLow = false;
	
    function __construct() {
		
		//create and save cookie
        // $cookie_render = new  cookieRender;
        // $cookie_render->CreateCookie();

        // //get array cookie and user agent from txt file
        // $this->cookies = array_filter(explode("\n", file_get_contents('list-cookies.txt')));
        // $this->userAgents = array_filter(explode("\n", file_get_contents('list-user-agent.txt')));
		
    }

    private $errors = [];

	public function process()

    {
		if( file_exists('cookies.txt') ){
			unlink('cookies.txt');
		}
		
        $url = isset($_SERVER['QUERY_STRING']) ? $_SERVER['QUERY_STRING'] : '';

        if($url == '') {

            $this->output([]);

        }
		
			
        $html = $this->useLow ? $this->getPageLowTime($url) : $this->getPage($url);
		
		$data = $this->getDataFromPage( $html );		
		
        $items = $this->parse($data);
				
        $this->output($items);

    }
	
	public function getDataFromPage( $html )
	{
		$html = str_replace('\x22','"',$html);
		$html = str_replace('\x7b',"{",$html);
		$html = str_replace('\x7d',"}",$html);
		$html = str_replace('\x5b',"[",$html);
		$html = str_replace('\x5d',"]",$html);
		
		preg_match('/\"token\"\:\"(.*?)\"\,/i', $html , $token );		
		preg_match('/\{\"request\"\:(.*?)\,\"helpDialog/i',$html,$match);
		
		$url = 'https://trends.google.com/api/widgetdata/relatedsearches?req=' . urlencode($match[1]).'&token='.$token[1];
		$url = str_replace("%5C%5C","%5C",$url);
        // echo $url;
        // exit();
		return $this->getPage($url);
		
	}
	
	public function parse($html)

    {

        $items = array();

        try{
			
			$return = json_decode(ltrim($html,')]}\', '));
			
			if(empty($return->default->rankedList[1]->rankedKeyword)){
				throw new Exception('No Results found.');
			}
			
            foreach($return->default->rankedList[1]->rankedKeyword as $kword){
				$items[] = [
					'title'    => $kword->query,
					'category' => $kword->formattedValue
				];
			}

        }

        catch(Exception $e) {

            $this->errors[] = [

                'message' => $e->getMessage(),

            ];

        }
		
		return $items;

    }
	
	public function output($items){
        // header('Content-Type: application/xml; charset=utf-8');
        $rss = '';
        
		foreach($items as $item) {
            $rss.= '<tr><td>' . $item['title'] . '</td><td>' . $item['category'] . '</td></tr>' . "\r\n";
        }
        // $rss.= '</channel></rss>';
        die( $rss );

    }

	public function getPage($url){   
		
		$ch = curl_init();	
		curl_setopt($ch, CURLOPT_COOKIEJAR, 'cookies.txt');
		curl_setopt($ch, CURLOPT_COOKIEFILE, 'cookies.txt');
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			"Accept: application/html, text/plain, */*",
			"Accept-Language: en-US,en;q=0.8",
			"User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 S",
			//"Host: trends.google.com"
		));
		curl_setopt($ch, CURLOPT_ENCODING, 'identity');
		curl_setopt($ch, CURLOPT_HEADER, false);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_REFERER, "https://trends.google.com/");
		curl_setopt($ch, CURLOPT_VERBOSE, true);
		
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt($ch, CURLOPT_RESOLVE, 
			array(
				"trends.google.com:443:172.217.26.4"
			)
		);
		
		$response = curl_exec($ch);
		$responseInfo = curl_getinfo($ch);
		$headerSize = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
						
		curl_close($ch);
		
		return $response;
		

    }
	
	public function parseLowTime($html)
    {
        $items = array();

        try{

            libxml_use_internal_errors(true);

            $dom = new DOMDocument('1.0', 'UTF-8');
            $dom->loadHTML('<?xml encoding="UTF-8">'.$html);

            $finder = new DomXPath($dom);

            $classname = 'trends-bar-chart-name-cell';
            $titleNodes = $finder->query("//*[contains(@class, '$classname')]");

            $classname = 'trends-bar-chart-value-cell';
            $categoryNodes = $finder->query("//*[contains(@class, '$classname')]");

            $titles = [];
            $categories = [];

            foreach($titleNodes as $title) {
                $titles[] = trim($title->nodeValue);
            }
            foreach($categoryNodes as $category) {

                $category = $category->nodeValue;
                $category = str_replace('Â', '', $category);
                $category = str_replace(' ', '', $category);
                $categories[] = trim($category);
            }

            $maxCount = count($titles);
            if(count($categories) < $maxCount) {
                $maxCount = count($categories);
            }

            for($i = 0; $i < $maxCount; $i++) {
                $items[] = [
                    'title'    => $titles[$i],
                    'category' => $categories[$i],
                ];
            };

            return $items;

        }
        catch(Exception $e) {
            $this->errors[] = [
                'message' => $e->getMessage(),
            ];
        }
    }
	
	public function getPageLowTime($url)
    {   
        //set init
        $ch = curl_init();
        //set header
        $headers = array();
        $headers[] = 'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8';       
        $headers[] = 'Accept-Encoding: gzip, deflate';
        $headers[] = 'Accept-Language: en-US,en;q=0.5';
        $headers[] = 'Cache-Control: no-cache';
        $headers[] = 'Connection: keep-alive';
        $headers[] = 'Cookie: '.trim($this->cookies[array_rand($this->cookies,1)]);
        $headers[] = 'Host: www.google.com';
        $headers[] = 'Pragma: no-cache';
        $headers[] = 'User-Agent: '.trim($this->userAgents[array_rand($this->userAgents,1)]);
		
        curl_setopt($ch, CURLOPT_URL, $url );
        curl_setopt($ch, CURLOPT_COOKIESESSION, TRUE);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); 
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true );
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_TIMEOUT,10);
        curl_setopt($ch, CURLOPT_ENCODING , "gzip");
        $output = curl_exec( $ch );
		$result = curl_getinfo($ch);
        curl_close ( $ch );

        //callback function if have limit
        if(strrpos($output, 'You have reached your quota limit')!==false){
            //slep 2 second
            usleep(2000000);
            return $this->getPageLowTime($url);
        }
        return $output;
    }
	
	
	
	
}?>